(function ($) {
	"use strict";
	$(document).ready(function($){
		var $win = $(window);
		
		// Main sticky sidebar
		if( $('#sns_bm_main_sidebar').length &&  $(window).width() >= 1200){
			$(  '#sns_bm_main_sidebar, .sns-bm-main-sidebar-wrap' ).theiaStickySidebar({
		      // Settings
		    });
		}

		// Main menu
		if( $('#main_navigation').length &&  $(window).width() >= 1200){
			$('#main_navigation').find('li.enable-mega').each(function(){
				var $sub_content = $(this).find('.sub-content');
				var $this_subcontent_ul = $(this).find('.sub-content ul.enable-megamenu');
				var $min_width = '100%';
				if( $($this_subcontent_ul).hasClass('col-2') ){
					$min_width = 420 + 62;
				}else if( $($this_subcontent_ul).hasClass('col-3') ){
					$min_width = 630 + 62;
				}else if( $($this_subcontent_ul).hasClass('col-4') ){
					$min_width = 840 + 62;
				}else if( $($this_subcontent_ul).hasClass('col-5') ){
					$min_width = 1050 + 62;
				}else if( $($this_subcontent_ul).hasClass('col-6') ){
					$min_width = 1260 + 62;
				}else{}
				$($sub_content).css('min-width', $min_width);
			});
		}
		// lazyload for woo product
		if( $('body').hasClass('use_lazyload') ){
			$('.product_list, .sns-products-list').each(function(){
				if( $(this).length > 0 ){
					$(this).find('img.lazy').lazyload();
				}
			})
		}
		if( $('.bm-post-slider').length ){
			$('.bm-post-slider').each(function(){
				var $this = $(this);
				$($this).removeClass('sns-preload');
				$($this).find('ul').owlCarousel({
				    animateOut: 'fadeOut',
				    animateIn: 'fadeInRight',
				    items:1,
				    autoplay: ( $('.bm-post-slider ul').find('> *').length > 1 ) ? true : false,
				    //loop: true,
				    smartSpeed: 450
				});
			});
		}
		// handle-preload
		$('.handle-preload').removeClass('handle-preload');
		// Set color, border-color for social icon
		$('.connect-us [data-color]').hover(function(){
			$(this).css({
				'color':$(this).attr('data-color'), 
				'border-color':$(this).attr('data-color')
			});
		},function(){
			$(this).css({
				'color':'',
				'border-color':''
			})
		});
		// products slider preload
		if( $('.sns-products-slider').length > 0 ){
			setTimeout(function(){
				$('.sns-products-slider').addClass('loaded');
			},1100);
		}

		// SNS Preload
		if( $('.sns-preload').length > 0 ){
			setTimeout(function(){
				$('.sns-preload').addClass('sns-loaded');
			},1000);
		}

		jQuery('p:empty').remove();

		// Count to
		$('.counter-value').each(function(){
			$(this).waypoint(function() {
	        	var element = $(this).find(' > span');
		    	element.countTo({
		    		from: element.data('from'), 
		    		to: element.data('to'),
		    		efreshInterval: element.data('interval'),
		    		speed: element.data('speed')
		    	});
	        },{
			triggerOnce : true ,
			     offset : '100%'
	    	});
		});
		
		// social share block
		if($('.block-social-share').length){
			$('.block-social-share').each(function(){
				var $_this = $(this);
				$($_this).find('.social-button a').on('click', function(e){
					e.preventDefault();
					if($(this).attr('data-close') == 'open'){
						$($_this).find('.sns-share-box').removeClass('hidden-social');
						$(this).attr('data-close', 'active');
						$(this).find('i').removeClass('social_share').addClass('icon_close_alt2');
					}else{
						$(this).attr('data-close', 'open');
						$($_this).find('.sns-share-box').addClass('hidden-social');
						$(this).find('i').removeClass('icon_close_alt2').addClass('social_share');
					}
				});
			});
		}
		
		// Ajax search
		$('.sns-searchwrap').each(function(){
			var sns_useajaxsearch = $(this).attr('data-useajaxsearch');
			var sns_usecat_ajaxsearch  = $(this).attr('data-usecat-ajaxsearch');
			
			if( typeof $.fn.select2 == 'function' && sns_usecat_ajaxsearch == 'true' ){
				$('.sns-ajaxsearchbox select.select-cat').select2();
				$('.sns-ajaxsearchbox').addClass('loaded');
			}
			if (sns_useajaxsearch == 'true') {
				var keywords = '';
				var keywords_old = '';
				var search_timeout;
				var search_inputtext;
				var array_old_result = {};
				$('body').append('<div id="sns_searchresult_wrap"></div>');
				var sns_searchresult_wrap = $('#sns_searchresult_wrap');
				
				$('.sns-searchwrap .search-input input[name="s"]').bind('keyup', function(e){
					sns_searchresult_wrap.hide();
					search_inputtext = $(this);
					keywords = $.trim($(this).val());
					// Define keywords length to start ajax
					if( keywords.length < 3 ){
						search_inputtext.parents('.search-input').removeClass('loading');
						return;
					}
					if( array_old_result[keywords] ){
						sns_searchresult_wrap.html(array_old_result[keywords]);
						sns_searchresult_wrap.show();
						keywords_old = '';
						search_inputtext.parents('.search-input').removeClass('loading');
						sns_searchresult_wrap.find('.viewall-result a').bind('click', function(e){
							e.preventDefault();
							search_inputtext.parents('form').submit();
						});
						return;
					}
					
					clearTimeout(search_timeout);
					search_timeout = setTimeout(function(){
						if( keywords == keywords_old || keywords.length < 3 ){
							return;
						}
						keywords_old = keywords;
						search_inputtext.parents('.search-input').addClass('loading');
						// Check category
						var category = '';
						if( sns_usecat_ajaxsearch == true  ){
							var select_category = search_inputtext.parents('.search-input').siblings('.select-cat');
							if( select_category.length > 0 ){
								category = select_category.find(':selected').val();
							}
						}
						$.ajax({
							type : 'POST',
							url : ajaxurl,
							data : {action : 'snsbiamuc_ajax_search', keywords: keywords, category: category},
							error : function(xhr,err){
								search_inputtext.parents('.search-input').removeClass('loading');
							},
							success : function(response){
								if( response != '' ){
									response = JSON.parse(response);
									if( response.keywords == keywords ){
										sns_searchresult_wrap.html(response.html);
										// Set array_old_result
										array_old_result[keywords] = response.html;
										// Set style for result wrap
										var border_width = parseInt(search_inputtext.parent('.search-input').css('border-left-width'));
										var top = search_inputtext.offset().top + search_inputtext.outerHeight(true);
										if( $('#wpadminbar').length ){
											top = top - $('#wpadminbar').outerHeight(true);
										}
										var width = search_inputtext.outerWidth(true) + border_width;
										var left = Math.ceil(search_inputtext.offset().left) - border_width;
										if( (left + width) > $(window).width() ){
											left = left - (width - search_inputtext.outerWidth(true));
										}
										sns_searchresult_wrap.css({
											'position': 'absolute',
											'top': top-1,
											'left': left,
											'width': width,
											'display': 'block'
										});
										search_inputtext.parents('.search-input').removeClass('loading');
										sns_searchresult_wrap.find('.viewall-result a').bind('click', function(e){
											e.preventDefault();
											search_inputtext.parents('form').submit();
										});
									}
								}else{
									search_inputtext.parents('.search-input').removeClass('loading');
								}
							}
						});
					}, 600);
				});
				// Hide result wrap when hover out or click anything
				sns_searchresult_wrap.hover(function(){
					//
				},function(){
					sns_searchresult_wrap.hide();
				});
				$('body').bind('click', function(){
					sns_searchresult_wrap.hide();
				});
				// Change sellect category
				if ( sns_usecat_ajaxsearch == true ){
					$('.sns-ajaxsearchbox select.select-cat').bind('change', function(){
						keywords_old = '';
						array_old_result = {};
						$(this).parents('.sns-ajaxsearchbox').find('.search-input input[name="s"]').trigger('keyup');
					});
				}
			}
		});
		//sns_vertical_respmenu();
		function sns_footer_sidebar(){
			var $footersidebar_h = 0;
			jQuery('#sns_footer_sidebar .row > div').each(function(){
				var _this_height = jQuery(this).height();
				if( $footersidebar_h > 0 && _this_height < $footersidebar_h){
					jQuery(this).css( 'min-height', $footersidebar_h);
				}else{
					$footersidebar_h = _this_height;
				}
			});
		}
		sns_footer_sidebar();

		 // Top header toggle menu
	    if($('#sns_header .icon-menu').length > 0){
	    	$('#sns_header .icon-menu').on('click', function(event){
	    		event.preventDefault();
	    		var _this = $(this);
	    		if(_this.hasClass('close')){
	    			_this.removeClass('close');
	    			$('.sns_menu_wrapper').slideDown();
	    		}else{
	    			_this.addClass('close');
	    			$('.sns_menu_wrapper').slideUp();
	    			$( '#sns_header .header-left .icon-block-search-toggle .icon-search').removeClass('active');
	    			$( '#sns_header .header-left .icon-block-search-toggle .icon-search').closest('.icon-block-search-toggle').find('.header-left-search-block').slideUp();
	    		}
	    	});
	    }
	    
	    // Right sidbar
	    $('#sns_content .sns-right, #sns_content #sns-product-sidebar').each( function() {
	    	var sidebar = $(this);
	    	if( sidebar.length ) {
		    	var tongle_btn = '<div class="tongle-rbtn hidden-lg"><i class="fa fa-align-right"></i><span class="overlay"></span></div>';
		    	$(tongle_btn).appendTo( sidebar );
				$('.tongle-rbtn').css('display', 'inline-block').on('click', function(){
					if( sidebar.hasClass('active') ){
						$(this).find('.overlay').fadeOut(250);
						sidebar.removeClass('active');
						$('body').removeClass('show-sidebar', 4000);
					} else {
						sidebar.addClass('active');
						$(this).find('.overlay').fadeIn();
						$('body').addClass('show-sidebar');
					}
				});
			}
	    })
	    
	    // Top menu search block
	    $('.sns_menu_wrapper .sns_nav-right .icon-search').on('click', function(){
	    	var sns_menu_search_wrap = $(this).closest('.sns_menu_wrapper').find('.sns_menu_search_wrap');
	    	if($(this).hasClass('active')){
	    		$(this).removeClass('active');
	    		$(sns_menu_search_wrap).slideUp();
	    	}else{
	    		$(this).addClass('active');
	    		$(sns_menu_search_wrap).slideDown().find('input[name="s"]').focus();
	    	}
	    });
	    // Post gallery
	    $('body.single article.post.type-post, .posts article.post.type-post').each( function (){
	    	if ( $(this).length && $(this).find('thumb-container').length ){
	    		var postID = $(this).attr('id');
	    		$('#' + postID + ' .thumb-container').owlCarousel({
	                items: 1,
	                //loop:true,
	                dots: false,
	                autoHeight: true,
	                onInitialized: callback,
	                slideSpeed : 800
	            });
	            function callback(event) {
	                if(this._items.length > this.options.items){
	                    $('#' + postID + ' .navslider').show();
	                }else{
	                    $('#' + postID + ' .navslider').hide();
	                }
	            }
	            $('#' + postID + ' .navslider .prev').on('click', function(e){
	                e.preventDefault();
	                $('#' + postID + ' .thumb-container').trigger('prev.owl.carousel');
	            });
	            $('#' + postID + ' .navslider .next').on('click', function(e){
	                e.preventDefault();
	                $('#' + postID + ' .thumb-container').trigger('next.owl.carousel');
	            });
	    	}
	    })
	    // Post related
	    if ( $('.post-related .related-content .related-slide').length ) {
		    $('.post-related .related-content').removeClass('sns-pre-load');
		    $('.post-related .related-content .related-slide').owlCarousel({
		        items: 3,
		        responsive : {
		            0 : { items: 1},
		            480 : { items: 2 },
		            768 : { items: 2 },
		            992 : { items: 2 },
		            1200 : { items: 3 }
		        },
		        loop: false,
		        dots: false,
		        onInitialized: callback,
		        slideSpeed : 800
		    });
		    function callback(event) {
		        if(this._items.length > this.options.items){
		            $('.post-related .navslider').show();
		        }else{
		            $('.post-related .navslider').hide();
		        }
		    }
		    $('.post-related .navslider .prev').on('click', function(e){
		        e.preventDefault();
		        $('.post-related .related-content .related-slide').trigger('prev.owl.carousel');
		    });
		    $('.post-related .navslider .next').on('click', function(e){
		        e.preventDefault();
		        $('.post-related .related-content .related-slide').trigger('next.owl.carousel');
		    });
		}
	    // Cpanel
	    if ( $('#sns_cpanel').length ) {
		    $('#sns_cpanel_btn').click(function(){
				if( !$('#sns_cpanel').hasClass('open') ){
					$('#sns_cpanel').animate({right:'0px'});
					$('#sns_cpanel').addClass('open');
				}else{
					$('#sns_cpanel').animate({right:'-290px'});
					$('#sns_cpanel').removeClass('open');
				}
			});
			
			// SCSS Compile
			$('#sns_cpanel .scss_compile a').click(function(){
		        var scsscompile = $(this).data('scsscompile');
		        var href = $(this).attr('href');
		        $('#sns_cpanel').addClass('wait');
		        $.ajax({
		            url: ajaxurl,
		            data:{
		            	action : 'snsbiamuc_setcookies',
		            	key	: 'advance_scss_compile',
		            	value : scsscompile
		            },
		            type: 'POST',
		            success:function(result){
		            	if ( href != '#' ) window.location.href = href;
		            	else window.location.href = window.location.href;
		            }
		        });
		        return false;
		    });
			
			$('#cpanel_themecolor a').each(function(){
				$(this).css({
					'background-color': '#'+$(this).data('color')
				});
			})

			// Click theme color
			$('#cpanel_themecolor a').click(function(){
		        var color = $(this).data('color');
		        var href = $(this).attr('href');
		        $('#sns_cpanel').addClass('wait');
		        if ( href != '#' ) window.location.href = href;
		        else window.location.href = window.location.href;
		        return false;
		    });
		    
		    // Reset cookie
		    $('#sns_cpanel .btn-reset').click(function(){
		        var href = $('.logo a').attr('href');
		        $('#sns_cpanel').addClass('wait');
		        $.ajax({
		            url: ajaxurl,
		            data:{
		            	action : 'snsbiamuc_resetcookies'
		            },
		            type: 'POST',
		            success:function(result){
		            	if ( href != '#' ) window.location.href = href;
		            	else window.location.href = window.location.href;
		            }
		        });
		        return false;
		    });
		}
		// back to top
		if ( $("#sns-totop").length ){
			$("#sns-totop").hide();
			$(function () {
				var wh = $(window).height();
				var whtml =  $(document).height();
				$(window).scroll(function () {
					if ($(this).scrollTop() > whtml/10) {
						$('#sns-totop').fadeIn();
					} else {
						$('#sns-totop').fadeOut();
					}
				});
				$('#sns-totop').click(function () {
					$('body,html').animate({
						scrollTop: 0
					}, 800);
					return false;
				});
			});
		}
		// Product slider
		if ( $('.sns-products-slider').length ) {
			$('.sns-products-slider').removeClass('pre-load');
			$( '#' + $('.sns-products-slider').attr('id') + ' .sns-products-slider-content ul' ).owlCarousel({
				items: 1,
				//loop: true,
	            dots: true,
			    autoplay: true,
	            slideSpeed : 800,
	            animateOut: 'fadeOut',
				animateIn: 'slideInUp',
			});
		}
		// Product carousel
		$('ul.products.product_list.grid').each( function() {
			if ( $(this).length ) {
				var parentID = $(this).attr('data-wrapid');
				if ( typeof parentID !== 'undefined' && $('#' + parentID).length ) {
					$('#' + parentID).removeClass('pre-load');
					$('#' + parentID + ' ul.products').owlCarousel({
						items: $(this).attr('data-numberdisplay'),
						responsive : {
						    0 : { items: 1 },
						    360 : { items: 2 },
						    480 : { items: 2 },
						    768 : { items: 4 },
						    992 : { items: 4},
						    1200 : { items: $(this).attr('data-numberdisplay') }
						},
						//loop:true,
				        dots: false,
				        onInitialized: callback,
				        slideSpeed : 700
					});
					function callback(event) {
						if(this._items.length > this.options.items){
					        $('#' + parentID + ' .navslider').show();
					    }else{
					        $('#' + parentID + ' .navslider').hide();
					    }
					}
					$('#' + parentID + ' .navslider .prev').on('click', function(e){
						if( $('body').hasClass('use_lazyload') ){
							var $ = setTimeout(function() {
						        $("#" + parentID + " img.lazy:not(.loaded)").trigger("appear")
						    }, 1000);
						}
						e.preventDefault();
						$('#' + parentID + ' ul.products').trigger('prev.owl.carousel');
					});
					$('#' + parentID + ' .navslider .next').on('click', function(e){
						if( $('body').hasClass('use_lazyload') ){
							var timeout = setTimeout(function() {
						        $("#" + parentID + " img.lazy:not(.loaded)").trigger("appear")
						    }, 1000);
						}
						e.preventDefault();
						$('#' + parentID + ' ul.products').trigger('next.owl.carousel');
					});
				}
			}
		});
		// Widget twitter
		if ( $('.sns-tweets').length ) {
			function handleTweets(tweets) {
			    var x = tweets.length;
			    var n = 0;
			    var element = document.getElementById($('.sns-tweets').attr('id'));
			    var html = '<ul>';
			    while(n < x) {
			      html += '<li>' + tweets[n] + '</li>';
			      n++;
			    }
			    html += '</ul>';
			    element.innerHTML = html;
			}
			var configNew = {
			  "profile": {"screenName": $('.sns-tweets').attr('data-name')},
			  "domId": $('.sns-tweets').attr('id'),
			  //"domId": '',
			  "maxTweets": $('.sns-tweets').attr('data-limit'),
			  "enableLinks": true,
			  "showUser": ($('.sns-tweets').hasClass('no-avartar'))? false : true,
			  "showTime": ($('.sns-tweets').hasClass('no-date'))? false : true,
			  //"dateFunction": '',
			  "showRetweet": false,
			  //"customCallback": handleTweets,
			  "showInteraction": ($('.sns-tweets').hasClass('no-interact-link'))? false : true,
			};
			twitterFetcher.fetch(configNew);
			
		}
		// Cross-sells
		$('.cross-sells').removeClass('pre-load');
		$('.cross-sells ul').owlCarousel({
			items: 5,
			responsive : {
			    0 : { items: 1 },
			    360 : { items: 2 },
			    480 : { items: 2 },
			    768 : { items: 4 },
			    992 : { items: 4 },
			    1200 : { items: 5 }
			},
			//loop:true,
            dots: false,
            onInitialized: callback,
            slideSpeed : 800
		});
		function callback(event) {
   			if(this._items.length > this.options.items){
		        $('.cross-sells .navslider').show();
		        $('.cross-sells').addClass('has-nav');
		    }else{
		        $('.cross-sells .navslider').hide();
		        $('.cross-sells').removeClass('has-nav');
		    }
		}
		$('.cross-sells .navslider .prev').on('click', function(e){
			e.preventDefault();
			$('.cross-sells ul').trigger('prev.owl.carousel');
		});
		$('.cross-sells .navslider .next').on('click', function(e){
			e.preventDefault();
			$('.cross-sells ul').trigger('next.owl.carousel');
		});
	});
	
	$.fn.SnsAccordion = function(options) {
		var $el    = $(this);
		var defaults = {
			active: 'open',
			active_default: 'nav-2',
			el_wrap: 'li',
			el_content: 'ul',
			accordion: true,
			expand: true,
			btn_open: '<i class="fa fa-plus-square-o"></i>',
			btn_close: '<i class="fa fa-minus-square-o"></i>'
		};
		var options = $.extend({}, defaults, options);
		
		$el.find(options.el_wrap).each(function(){
			$(this).find('> a, > span, > h4').wrap('<div class="accr_header"></div>');
			if(($(this).find(options.el_content)).length){
				$(this).find('> .accr_header').append('<span class="btn_accor">' + options.btn_open + '</span>');
				$(this).find('> '+options.el_content+':not(".accr_header")').wrap('<div class="accr_content"></div>');
			}
		});
		if(options.accordion){
			$('.accr_content').hide();
			$el.find(options.el_wrap).each(function(){
				if(options.active_default!==''){
					if( $(this).hasClass(options.active_default) ){
						$(this).addClass(options.active);
					}
				}
				if($(this).hasClass(options.active)) {
					$(this).find('> .accr_content')
						   .addClass(options.active)
						   .slideDown();
					$(this).find('> .accr_header')
						   .addClass(options.active);
				}
			});
		} else {
			$el.find(options.el_wrap).each(function(){
				if(!options.expand){
					$('.accr_content').hide();
				} else {
					$(this).find('> .accr_content').addClass(options.active);
					$(this).find('> .accr_header').addClass(options.active);
					$(this).find('> .accr_header .btn_accor').html(options.btn_close);
				}
			});
		}

		$el.find(options.el_wrap).each(function(){
			var $wrap = $(this);
			var $accrhead = $wrap.find('> .accr_header');
			var btn_accor = '.btn_accor';
			
			$accrhead.find(btn_accor).on('click', function(event) {
				event.preventDefault();
				var obj = $(this);
				var slide = true;
				if($accrhead.hasClass(options.active)) {
					slide = false;
				}
				if(options.accordion){
					$wrap.siblings(options.el_wrap).find('> .accr_content').slideUp().removeClass(options.active);
					$wrap.siblings(options.el_wrap).find('> .accr_header').removeClass(options.active);
					$wrap.siblings(options.el_wrap).find('> .accr_header ' + btn_accor).html(options.btn_open);
				}
				if(slide) {
					$accrhead.addClass(options.active);
					obj.html(options.btn_close);
					$accrhead.siblings('.accr_content').addClass(options.active).stop(true, true).slideDown();
				} else {
					$accrhead.removeClass(options.active);
					obj.html(options.btn_open);
					$accrhead.siblings('.accr_content').removeClass(options.active).stop(true, true).slideUp();
				}
				return false;
			});
		});
	};
	//sns_respmenu
	$('#sns_respmenu').SnsAccordion({
		// btn_open: '<i class="fa fa-plus"></i>',
		// btn_close: '<i class="fa fa-minus"></i>'
		btn_open: '<span class="ac-tongle open"></span>',
		btn_close: '<span class="ac-tongle close"></span>',
	});
	$('#sns_bm_main_sidebar .tongle-sidebar').on('click', function(){
		if($('#sns_bm_main_sidebar').hasClass('active')){
			$(this).find('.overlay').fadeOut(250);
			$('#sns_bm_main_sidebar').removeClass('active');
			$('body').removeClass('show-sidebar', 4000);
		} else {
			$('#sns_bm_main_sidebar').addClass('active');
			$(this).find('.overlay').fadeIn(250);
			$('body').addClass('show-sidebar');
		}
	});
	// Window load
	$(window).load(function(){
		// Mouse over/out sidebar tools
		if ( $('#sns_bm_main_sidebar .bm-main-sidebar-content').length && $('#sns_bm_main_sidebar .bm-main-sidebar-tools').length ){
			$('#sns_bm_main_sidebar .bm-main-sidebar-tools > div').each(function(){
				$(this).mouseover(function(){
					$('#sns_bm_main_sidebar .bm-main-sidebar-content').addClass('hidden-sidebar');
				}).mouseout(function() {
				    $('#sns_bm_main_sidebar .bm-main-sidebar-content').removeClass('hidden-sidebar');
				});
			});
		}
		//
		if ( $('#sns_bm_main_sidebar .bm-main-sidebar-content').length && $('#sns_bm_main_sidebar .bm-main-sidebar-tools .sns-search').length && $('#sns_searchresult_wrap').length ){
			$('#sns_searchresult_wrap').mouseover(function(){
				$('#sns_bm_main_sidebar .bm-main-sidebar-content').addClass('hidden-sidebar');
				$('#sns_bm_main_sidebar .bm-main-sidebar-tools .sns-search').addClass('active');
			}).mouseout(function() {
			    $('#sns_bm_main_sidebar .bm-main-sidebar-content').removeClass('hidden-sidebar');
			    $('#sns_bm_main_sidebar .bm-main-sidebar-tools .sns-search').removeClass('active');
			});
		}
		// Tooltip
	    $("body.use-tooltip *[data-toggle='tooltip']").each(function(){
			$(this).tooltip({
	    		container: 'body'
	    	}, 'show');
		});
		//
		$(document).ajaxComplete(function(){
			$("body.use-tooltip *[data-toggle='tooltip']").each(function(){
				$(this).tooltip({
		    		container: 'body'
		    	});
			});
			// lazyload for woo product
			if( $('body').hasClass('use_lazyload') ){
				var timeout = setTimeout(function() {
					$(".sns-main img.lazy:not(.loaded)").lazyload();
				}, 1000);
			}
			//
			if ( $('.sns-quick-view').length ) {
				$('.sns-quick-view a').click(function(){
					return;
				});
				$('.sns-quick-view .images').owlCarousel({
					items: 1,
					loop: ( $('.sns-quick-view .images .quickview-image').size() > 1) ? true : false,
		            dots: false,
		            onInitialized: callback,
		            slideSpeed : 800
				});
				function callback(event) {
		   			if(this._items.length > this.options.items){
				        $('.sns-quick-view .navslider').show();
				    }else{
				        $('.sns-quick-view .navslider').hide();
				    }
				}
				$('.sns-quick-view .prev').on('click', function(e){
					e.preventDefault();
					$('.sns-quick-view .images').trigger('prev.owl.carousel');
				});
				$('.sns-quick-view .next').on('click', function(e){
					e.preventDefault();
					$('.sns-quick-view .images').trigger('next.owl.carousel');
				});
			}
		});
	});

})(jQuery);