(function ($) {
	"use strict";
	$(document).ready(function() {

		// Mega menu preview products
		$('.sub-content.preview').each(function(){
			var $preview_content_id = $(this).attr('id');
			
			// data attr
			var data_type, data_term, posts_per_page = 10;

			// active first item
			$(this).find('ul.preview li:first').addClass('first');

			$(this).find('ul.preview li').each(function(){
				var $_this_li = $(this);
				// Get products if is active
				if( $(this).hasClass('first') ){
					data_type = $(this).find('.item-preview a').attr('data-type');
					data_term = $(this).find('.item-preview a').attr('data-term');
					posts_per_page = $(this).find('.item-preview a').attr('data-posts-per-page');

					if( !$(this).hasClass('loaded') ){
						sns_megamenu_load_products($preview_content_id, data_type, data_term, posts_per_page);

						$('#'+$preview_content_id).find('ul.preview li').removeClass('loaded');
						$(this).removeClass('first');
						$(this).addClass('loaded');
					}
				}

				// on click
				$(this).find('.item-preview a').on('click', function(){
					data_type = $(this).attr('data-type');
					data_term = $(this).attr('data-term');
					posts_per_page = $(this).attr('data-posts-per-page');

					if( !$($_this_li).hasClass('loaded') ){
						sns_megamenu_load_products($preview_content_id, data_type, data_term, posts_per_page);

						$('#'+$preview_content_id).find('ul.preview li').removeClass('loaded');
						$($_this_li).addClass('loaded');
					}
					return false;
				});
			});

		});

		// Variable Product
		if ( $('.type-product.product-type-variable').length ) {

			if( typeof sns_arr_attr !== 'undefined' ){
				$('.variations select').each(function(){
					var select = $(this), select_div, var_attr = sns_arr_attr[select.attr('name')];
					if ( typeof var_attr == 'undefined' ) { return false; } 
					select_div = $('<div />', {
		                'class': 'sellect-wrap'
		            }).insertAfter(select);

					select.hide();

					select.find( 'option' ).each(function (){
						var option_old = $(this);
						var option;
						if ( option_old.attr('value')!='' ) {
							var inner_opt;
							var class_sellect;
							var val_opt = var_attr.key_val[option_old.attr('value')];

							if (var_attr.type == 'color') {
			                    inner_opt = $('<span/>', {
									'style':'background:' + val_opt
								});
								class_sellect = ' color';
			                }else if (var_attr.type == 'image') {
			                    inner_opt = $('<span/>', {
									'style':'background-image:url("' + val_opt + '")'
								});
								class_sellect = ' image';
			                }else if (var_attr.type == 'text') {
			                    inner_opt = $('<span/>', {
									'html': val_opt
								});
								class_sellect = ' text';
			                }

			                option = $('<div/>', {
		                        'class': 'option'+class_sellect,
		                        'data-toggle':'tooltip',
		                        'data-original-title':option_old.text(),
		                        'data-value': option_old.attr('value')
		                    }).appendTo(select_div);

		                    inner_opt.appendTo(option);

							if ( option_old.val() == select.val() ){
								option.addClass('selected');
							}

		                    option.on('click', function () {
		                    	select.val('').change(); // update variation values
		                        if ( $(this).hasClass('selected') ) {
		                            select.val('').change();
		                        } else {
		                            select.val( option_old.val() ).change();
		                        }
		                        set_selected_opt( $(this) );
		                    });
		                }
					});
				});
			}
		}

		function set_selected_opt( option ) {
	        option.toggleClass('selected');
	        option.siblings().removeClass('selected');

	    };

		// Remove pre-load class
		$('.sns-products, .sns-product-category').removeClass('pre-load');

		// Toggle Woo Product Filters
		if( $('.woo-sidebar-filter-toggle-wrapper').length ){
			var $_this_toggle = $(this);
			$(this).find('a.filter-toggle').on('click', function(e){
				e.preventDefault();
				if( $(this).hasClass('on') ){
					$('.woo-sidebar-filter').slideUp('slow');
					$(this).removeClass('on');
				}else{
					$(this).addClass('on');
					$('.woo-sidebar-filter').slideDown('slow');
				}
			});

		}

		// filter color code
		filter_color_code();
		function filter_color_code(){
			if ( $('.woo-sidebar-filter form .woopf_filter_inner').length && typeof snspd_color_code !== 'undefined' ) {
				$('.woo-sidebar-filter form .woopf_filter_inner .woopf_filter').each (function (){
					if( $(this).attr('data-filter') == 'pa_colors' ){
						$(this).find('.mCSB_container label').each( function(){
							if( !$(this).find('span.color-code').length ) {
								$('<span class="color-code" style="background:'+snspd_color_code[$(this).find('input').attr('value')]+';"></span>').prependTo($(this));
							}
						});
					}
				});
			}
		}
		// selected filters
		function selected_filters(){
			if ( $('.woo-sidebar-filter-toggle-wrapper .selected-filters').length ) {
				$('.woo-sidebar-filter-toggle-wrapper .selected-filters .list-selected-filters').html('');
				$('.woopf_woocommerce .woopf_filter_wrapper .woopf_filter_inner .woopf_filter .woopf_checkboxes .mCSB_container label').each(function(){
						if( $(this).hasClass('woopf_active') ){
							var $class = $(this).find('input').val();
							var $attribute_name = $(this).find('span:not(.color-code)').html();
							if ( $(this).find('span.color-code').length ){
								$attribute_name = '<span class="color-code" style="'+ $(this).find('span.color-code').attr('style') +'"></span>' + $attribute_name;
							} 
							var $selected_filter_html = '<a class="'+$class+'"><span>'+$attribute_name+'</span><i class="fa fa-times" aria-hidden="true"></i></a>';

							$('.woo-sidebar-filter-toggle-wrapper .selected-filters .list-selected-filters').append($selected_filter_html);
						}
				});

				// Selected filter clicked
				if( $('.woo-sidebar-filter-toggle-wrapper .selected-filters .list-selected-filters a').length ){
					$('.woo-sidebar-filter-toggle-wrapper .selected-filters .list-selected-filters a').each(function(){
						$(this).on('click', function(){
							var $attr_pa = $(this).attr('class');
							$('.woopf_woocommerce .woopf_filter_wrapper .woopf_filter_inner .woopf_filter .woopf_checkboxes .mCSB_container label').each(function(){
								var $this = $(this);
								if( $(this).find('input').val() == $attr_pa ){
									$this.find('input').trigger('click');
								}
							});
							
						});
					});
				}

				if ( $('.woo-sidebar-filter-toggle-wrapper .selected-filters .list-selected-filters').html().trim() !='' ) {
					$('.woo-sidebar-filter-toggle-wrapper .selected-filters > span').html( $('.woo-sidebar-filter-toggle-wrapper .selected-filters > span').attr('data-selected') );
				}else{
					$('.woo-sidebar-filter-toggle-wrapper .selected-filters > span').html( $('.woo-sidebar-filter-toggle-wrapper .selected-filters > span').attr('data-select') );
				}
			}
		}

		// Mega menu preview loadmore products
		function sns_megamenu_load_products($preview_content_id, $data_type, $data_term, $posts_per_page){
			$posts_per_page = ($posts_per_page) ? $posts_per_page : 10;
			jQuery('#'+$preview_content_id).addClass('preview_loading');
			
			jQuery.ajax({
				url: ajaxurl,
				data:{
					action	: 'sns_megamenu_load_products',
					preview_content_id 	: $preview_content_id,
					data_type			: $data_type,
					data_term			: $data_term,
					posts_per_page		: $posts_per_page,
				},
				type: 'POST',
				success: function(data){
					if( data != '' ){
						jQuery('#'+$preview_content_id).removeClass('preview_loading');

						jQuery('#'+$preview_content_id).find('.menu-preview-mode-wrap .menu-preview-mode-content .ul-products').html(data).hide();
						jQuery('#'+$preview_content_id).find('.menu-preview-mode-wrap .menu-preview-mode-content .ul-products').fadeIn('slow');
					}
				}
			});
		}

		// Product Tabs Naviation
		if( $('#sns-producttabs-navigation').length && $('.sns-product-tabs').length ){
			$('#sns-producttabs-navigation ul.product-tab-nav-list').html('');
			var len = $('.sns-product-tabs').length;
			$('.sns-product-tabs').each(function(index, value){
				// Check is first and last element
				if(index == 0){
					$(this).addClass('first');
				}else if(index == len - 1){
					$(this).addClass('last');
				}

				var $_this_id, $_this_iconnav,$_this_iconnav_active,$content_li = '';

				$_this_id = $(this).attr('id');
				$_this_iconnav = $(this).attr('data-icon-nav');
				$_this_iconnav_active = $(this).attr('data-icon-nav-active');
				// append nav list
				if( $_this_iconnav !== undefined ){
				$content_li = '<li>'
							+ '<a href="#'+ $_this_id +'" title="" data-id="'+ $_this_id +'">'
							+ '<span class="icon-nav"><img src="'+ $_this_iconnav +'" alt=""/></span>'
							+ '<span class="icon-nav-active"><img src="'+ $_this_iconnav_active +'" alt=""/></span>'
							+ '</a>'
							+ '</li>';
				$('#sns-producttabs-navigation ul.product-tab-nav-list').append($content_li);
				}
			});

			// Detect scroll
			$(window).scroll(function() {
				var scrollTop = $(this).scrollTop();
				
				$('.sns-product-tabs').each(function(){
					var topDistance = $(this).offset().top;

					// Display #sns-producttabs-navigation
					if ( (topDistance - 200) < scrollTop) {
						if( $(this).hasClass('first') ){
			        		$('#sns-producttabs-navigation').removeClass('active').addClass('active');
			        	}
					}else if((topDistance - 200) > scrollTop){
						if( $(this).hasClass('first') ){
			        		$('#sns-producttabs-navigation').removeClass('active');
			        	}
					}

					if((topDistance + 100) < scrollTop){
						if( $(this).hasClass('last') ){
			        		$('#sns-producttabs-navigation').removeClass('active');
			        	}
					}
					
					//
			        if ( (topDistance - 40) < scrollTop) {
			            var $_this_id = $(this).attr('id');
			            
						$('#sns-producttabs-navigation ul.product-tab-nav-list li').each(function(){
							// remove class active
							$(this).find('a').removeClass('active');
							if( $_this_id == $(this).find('a').attr('data-id') ){
								$(this).find('a').addClass('active');
							}
						});
			        }
				});
			});

			//
			$('#sns-producttabs-navigation ul.product-tab-nav-list li').each(function(){
				var $this = $(this);
				$this.find('a').click(function(){
					// remove class active
					$this.find('a').removeClass('active');
					var $_id = $(this).attr('href');
					$("html, body").animate({ scrollTop: $($_id).offset().top - 20}, 800);
					$(this).addClass('active');

					return false;
				});
			});
		}
		

		// Click mode view
		$('.mode-view a').click(function(){
            var mode = $(this).data('mode');
            if(!$(this).hasClass('active')){
	            $.ajax({
	                url: ajaxurl,
	                data:{
	                	action : 'sns_setmodeview',
	                	mode : mode
	                },
	                type: 'POST'
	            });
	        }else{
	        	return false;
	        }
	        $('.mode-view a').removeClass('active');
            $('.mode-view a').each(function(){
            	if ( $(this).hasClass(mode) ) $(this).addClass('active');
            })
            
            //
            if( $('#sns_woo_list.product_list').hasClass('grid') ){
            	$('#sns_woo_list.product_list').removeClass('grid');
            	$('#sns_woo_list.product_list').addClass('list');
            }else if( $('#sns_woo_list.product_list').hasClass('list') ){
            	$('#sns_woo_list.product_list').removeClass('list');
            	$('#sns_woo_list.product_list').addClass('grid');
            }
            return false;
        });

		// Click loadmore from shortcode SNS Product Tabs
		function snsWooLoadMore(){
			$('.sns-woo-loadmore').each(function() {
				$(this).click(function(){
					if(!$(this).hasClass('loaded')){
						var btnid, tab_id, numberquery, start, order, col, cat, loadtext, loadingtext, loadedtext, type, wrapid, eclass;
						btnid       = $(this).attr('id');
						tab_id 		= $(this).attr('data-tab-id'),
						numberquery = $(this).attr('data-numberquery');
						start       = $(this).attr('data-start');
		            	order       = $(this).attr('data-order');
		            	col         = $(this).attr('data-col');
		            	cat         = $(this).attr('data-cat');
		            	loadtext    = $(this).attr('data-loadtext');
		            	loadingtext = $(this).attr('data-loadingtext');
		            	loadedtext  = $(this).attr('data-loadedtext');
		            	type        = $(this).attr('data-type');

		            	wrapid = $('#'+btnid).parents('.sns-product-tabs').attr('id');

		            	eclass = 'animate-'+Math.floor((Math.random() * 1000000000));

		            	$('#'+btnid).html(loadingtext); $('#'+btnid).addClass('loading');

			            $.ajax({
			                url: ajaxurl,
			                data:{
			                	action 		: 'sns_wooloadmore',
			                	numberquery : numberquery,
			                	start       : start,
			                	order       : order,
			                	col         : col,
			                	cat         : cat,
			                	eclass      : eclass,
			                },
			                type: 'POST',
			                success: function(data){
			                	if( data!='' ){
			                		$('#'+wrapid+' #'+tab_id+' .product_list').append(data);
			                		SnsJsWoo.setAnimate( '#'+wrapid+' #'+tab_id, eclass );
				                	
				                	$('#'+btnid).removeClass('loading');
				                	if( (parseInt(start) + parseInt(numberquery)) > $('#'+wrapid+' #'+tab_id+' .product_list li').size() ){
				                		$('#'+btnid).html(loadedtext);
				                		$('#'+btnid).addClass('loaded');
				                	}else{
				                		$('#'+btnid).html(loadtext);
				                	}
				                	$('#'+btnid).attr('data-start', parseInt(start) + parseInt(numberquery));
				                	// Callback quickview, wishlist
				                	$.fn.yith_quick_view();
				                	
				                	// Lazy load product image
				            	    $("img.lazy").lazyload({
				            	        effect : "fadeIn"
				            	    });
				            	    
				                }else{
				                	$('#'+btnid).html(loadedtext);
				                	$('#'+btnid).addClass('loaded');
				                }
			                }
			            });
			            snsProductTabsListHeight();
			        }else{
			         	return false;
			        }
			    });
			});
		}
		snsWooLoadMore();

        // Accordion for category
		$('.product-categories').SnsAccordion({
			btn_open: '<span class="ac-tongle open"></span>',
			btn_close: '<span class="ac-tongle close"></span>',
		});
		// Click add to cart
		$('.grid-view a.add_to_cart_button.product_type_simple').click(function(e) {
			var $this = $(this);
		});
		$('.list-view a.add_to_cart_button.product_type_simple').each(function() {
		});

		// Wishlist & compare
		$('.type-product .summary .compare, .yith-wcwl-add-to-wishlist .add_to_wishlist, .yith-wcwl-wishlistaddedbrowse a, .yith-wcwl-wishlistexistsbrowse a').each(function(){
			$(this).attr('data-toggle', 'tooltip').attr('data-original-title', $(this).text().trim());
		});

		jQuery(document).ajaxComplete(function(){
			// Wishlist & compare
			$('.type-product .summary .compare, .yith-wcwl-add-to-wishlist .add_to_wishlist, .yith-wcwl-wishlistaddedbrowse a, .yith-wcwl-wishlistexistsbrowse a').each(function(){
				$(this).attr('data-toggle', 'tooltip').attr('data-original-title', $(this).text().trim());
			});
			// View cart
			$('.products .added_to_cart').each(function(){
				if( $(this).text().trim() != '') $(this).attr('data-toggle', 'tooltip').attr('data-original-title', $(this).text().trim());
			});
			// Compare
			$('.woocommerce .compare.button').each(function(){
				if( $(this).text().trim() != '') $(this).attr('data-original-title', $(this).text().trim());
			});
			// Need check clear all .clear-all
			// Mini cart number
			$('.sns-ajaxcart .tongle .number-item').html($('.sns-ajaxcart .sns-cart-number').html());
			$('.sns-ajaxcart .total-cart .sns-total').html($('.sns-ajaxcart .total span').html());
			// Compare number
			var countC = 0;
			$('.block-compare .products-list > li').each(function(){
				if( $(this).find('a').length ) countC ++;
			});
			$('.block-compare .compare-toggle .total-compare-val').html(countC);

			filter_color_code();
			selected_filters();
		});
		
		
		snsProductTabsListHeight();

		// Product tabs load products
		if( $('.sns-product-tabs, .sns-product-tabs-base').length > 0 ){

			$('.sns-product-tabs, .sns-product-tabs-base').each(function(){

				// display total product in tab
				if( $(this).find('.tabs-total-products').length &&  $(this).find('.sns-tabs-total').length){
					$(this).find('.tabs-total-products span').html($(this).find('.sns-tabs-total').attr('data-total'));
				}

				var $this_product_tabs_id = $(this).attr('id');
				// set min height of tab content, banner, categories block
				var $tab_content_height = $(this).find('.tab-content').height();
				$(this).find('.tab-content, .tab-banner, .tab-brand').css('min-height', $tab_content_height);

				// Only apply for layout 1
				$(this).find('.nav-tabs a.intent-tab, .dropdown-menu > li a.intent-tab').each(function(){
						$(this).on('click', function(){
							var $this = $(this);
							// Load tab products

								$('#'+$this_product_tabs_id+' .tab-content').addClass('tab-loading');

								var data_type 			= $(this).attr('data-type'),
									wrap_id 			= $(this).attr('data-wrap-id'),
									tab_id 				= $(this).attr('data-tab-id'),
									cat 				= $(this).attr('data-cat'),
									template 			= $(this).attr('data-template'),
									orderby 			= $(this).attr('data-orderby'),
									number_query 		= $(this).attr('data-number-query'),
									number_display 		= $(this).attr('data-number-display'),
									number_limit 		= $(this).attr('data-number-limit'),
									effect_load 		= $(this).attr('data-effect-load'),
									row 				= $(this).attr('data-row'),
									col 				= $(this).attr('data-col'),
									uq 					= $(this).attr('data-uq'),
									number_load 		= $(this).attr('data-number-load');

								var eclass = 'animate-'+Math.floor((Math.random() * 1000000000));
								$.ajax({
						                url: ajaxurl,
						                data:{
						                	action 				: 'sns_wootabloadproducts',
						                	data_type 			: data_type,
						                	wrap_id				: wrap_id,
						                	tab_id 				: tab_id,
											cat 				: cat,
											template 			: template,
											orderby 			: orderby,
											number_query 		: number_query,
											number_display 		: number_display,
											number_limit 		: number_limit,
											effect_load 		: effect_load,
											row 				: row,
											col 				: col,
											uq 					: uq,
											number_load 		: number_load,
											eclass				: eclass,
						                },
						                type: 'POST',
						                success: function(data){
						                	if( data!='' ){

							                	$('#'+$this_product_tabs_id+' .tab-content').removeClass('tab-loading');

							                	//$('#'+$this_product_tabs_id+' .tab-content').append(data);
							                	$('#'+$this_product_tabs_id+' .tab-content').html(data).hide();
							                	$('#'+$this_product_tabs_id+' .tab-content').fadeIn('slow');


							                	$('#'+$this_product_tabs_id+' .tab-content').find('#'+tab_id).addClass('active in');
							                	SnsJsWoo.setAnimate( '#'+$this_product_tabs_id+ ' .tab-content  #'+tab_id, eclass );
							                	
							                	
							                	//$this.addClass('tab-loaded');
							                	// lazy load image
							                	if( $('body').hasClass('use_lazyload') ){
													$('#' + tab_id + ' img.lazy').each(function(){
															$(this).lazyload();
													});
												}

												snsWooLoadMore();
							                }else{
							                	
							                }
						                }
						            });
						            snsProductTabsListHeight();

							//}
							// END Load tab products
						});
					});

				// Click sub tabs
				$(this).find('.nav-sub-tabs > li a').each(function(){
						$(this).on('click', function(e){
							e.preventDefault();
							var $_this = $(this);
							if( ! $_this.hasClass('active')){

								$('#'+$this_product_tabs_id+' .tab-content').addClass('tab-loading');

								var orderby 			= $(this).attr('data-orderby'),
									wrap_id 			= $(this).attr('data-wrap-id'),
									tab_id 				= $(this).attr('data-tab-id'),
									cat 				= $(this).attr('data-cat'),
									number_limit 		= $(this).attr('data-number-limit');

								var eclass = 'animate-'+Math.floor((Math.random() * 1000000000));

								$.ajax({
					                url: ajaxurl,
					                data:{
					                	action 				: 'sns_woo_sub_tabs',
					                	orderby 			: orderby,
					                	wrap_id				: wrap_id,
					                	tab_id 				: tab_id,
					                	cat 				: cat,
										number_limit 		: number_limit,
					                },
					                type: 'POST',
					                success: function(data){
					                	if( data!='' ){

						                	$('#'+$this_product_tabs_id+' .tab-content').removeClass('tab-loading');

						                	//$('#'+$this_product_tabs_id+' .tab-content').append(data);
						                	$('#'+$this_product_tabs_id+' .tab-content').html(data).hide();
						                	$('#'+$this_product_tabs_id+' .tab-content').fadeIn('slow');


						                	$('#'+$this_product_tabs_id+' .tab-content').find('#'+tab_id).addClass('active in');
						                	SnsJsWoo.setAnimate( '#'+$this_product_tabs_id+ ' .tab-content  #'+tab_id, eclass );
						                	
						                	
						                	// lazy load image
						                	if( $('body').hasClass('use_lazyload') ){
												$('#' + tab_id + ' img.lazy').each(function(){
														$(this).lazyload();
												});
											}
						                }else{
						                	
						                }
					                }
					            });

								$('#'+$this_product_tabs_id).find('.nav-sub-tabs > li a').removeClass('active');
								$_this.addClass('active');
							}
						});
				});

			});
		}

	});
})(jQuery);

// Set min-height for product tabs list
function snsProductTabsListHeight(){
	var $product_list_h = 0;
	jQuery('.sns-product-tabs ul.product_list > li').each(function(){
		var _this_height = jQuery(this).height();
		if( $product_list_h > 0 && _this_height < $product_list_h){
			jQuery(this).css( 'min-height', $product_list_h);
		}else{
			$product_list_h = _this_height;
		}
	});
}

var SnsJsWoo= {
	setAnimate: function (el, eclass){
		jQuery(el).find('.sns-woo-loadmore').fadeOut('fast');
		morec = '';
		if( jQuery(el+' .product_list').hasClass('owl-carousel') ){
		 	morec = '.owl-item.active ';
		}
		jQuery(el+' .product_list '+morec+'.'+eclass).each(function(i){
			jQuery(this).attr("style", "-webkit-animation-delay:" + i * 300 + "ms;"
	                + "-moz-animation-delay:" + i * 300 + "ms;"
	                + "-o-animation-delay:" + i * 300 + "ms;"
	                + "animation-delay:" + i * 300 + "ms;");
			if (i == jQuery(el+' .product_list '+morec+'.'+eclass).size() -1) {
	            jQuery(el+' .product_list').addClass("play");
	            jQuery(el).find('.sns-woo-loadmore').fadeIn(i*0.3);
	            if( morec!='' ){
	            	setTimeout(function(){
	            		SnsJsWoo.delAnimate(el);
	            	}, i*300+700);
	            }
	        }
		});

		snsProductTabsListHeight();
	},
	resetAnimate: function (el){
		var wrapid, eclass, contentid;
		wrapid = el.parents('.sns-product-tabs').attr('id');
    	eclass = 'animate-'+Math.floor((Math.random() * 1000000000));
    	contentid = el.find('a').attr('href');
    	//
    	jQuery('#'+wrapid+' .product_list').removeClass('play');
    	jQuery('#'+wrapid+' .product_list li').removeClass('item-animate');
    	jQuery('#'+wrapid+' .product_list li').attr('style', '');
    	// Remove class with prefix animate-
    	var classNames = [];
		jQuery('#'+wrapid+' .product_list li[class*="animate-"]').each(function(i, el){
		    var name = (el.className.match(/(^|\s)(animate\-[^\s]*)/) || [,,''])[2];
		    if(name){
		        classNames.push(name);
		        jQuery(el).removeClass(name);
		    }
		});
    	//
    	jQuery('#'+wrapid+' '+contentid+' .product_list li').addClass('item-animate').addClass(eclass);
    	// Set effect
	    SnsJsWoo.setAnimate('#'+wrapid+' '+contentid, eclass );

	},
	delAnimate: function(el){
		if( jQuery(el+' .product_list li').hasClass('item-animate') ) jQuery(el+' .product_list li').removeClass('item-animate');
	}
};
