<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <?php
    // Post Quote
    if ( get_post_format() == 'quote' && function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_quotecontent') && rwmb_meta('snsbiamuc_post_quoteauthor') ) : ?>
        <div class="post-media">
            <div class="quote-info">
                <?php if ( rwmb_meta('snsbiamuc_post_quotecontent') ) : ?>
                <div class="quote-content gfont"><i class="fa fa-quote-left"></i><?php echo esc_html(rwmb_meta('snsbiamuc_post_quotecontent')); ?><i class="fa fa-quote-right"></i></div>
                <?php endif; ?>
                 <?php if ( rwmb_meta('snsbiamuc_post_quoteauthor') ) : ?>
                <div class="quote-author"><?php echo esc_html(rwmb_meta('snsbiamuc_post_quoteauthor')); ?></div>
                <?php endif; ?>
            </div>
        </div>
    <?php
    // Post Link
    elseif ( get_post_format() == 'link' && function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_linkurl') ) : ?>
        <div class="post-media">
            <div class="link-info">
                <a class="gfont" title="<?php echo esc_attr(rwmb_meta('snsbiamuc_post_linktitle')) ?>" href="<?php echo esc_url( rwmb_meta('snsbiamuc_post_linkurl') ) ?>"><?php echo esc_html(rwmb_meta('snsbiamuc_post_linktitle')) ?></a>
               
            </div>
        </div>
    <?php
    // Post Video
    elseif ( get_post_format() == 'video' && get_post_meta(get_the_id(), 'snsbiamuc_post_video', true) ) : ?>
        <div class="post-media">
            <div class="video-thumb video-responsive">
                <?php
                echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsbiamuc_post_video', true)));
                ?>
            </div>
        </div>
    <?php
    // Post Audio
    elseif ( get_post_format() == 'audio' && get_post_meta(get_the_id(), 'snsbiamuc_post_audio', true) ) : ?>
        <div class="post-media">
            <div class="audio-thumb audio-responsive">
                <?php
                echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsbiamuc_post_audio', true)));
                ?>
            </div>
        </div>
    <?php
    // Post Gallery
    elseif ( get_post_format() == 'gallery' && function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_gallery') ) :
        
        ?>
        <div class="post-media">
            <div class="gallery-thumb">
                <div class="navslider" style="display:none"><span class="prev"><span aria-hidden="true" class="arrow_carrot-left"></span></span><span class="next"><span aria-hidden="true" class="arrow_carrot-right"></span></span></div>
                <div class="thumb-container">
                <?php
                foreach (rwmb_meta('snsbiamuc_post_gallery', 'type=image') as $image) {?>
                   <div class="item"><img alt="<?php echo esc_attr($image['alt']); ?>" src="<?php echo esc_url($image['full_url']); ?>"/></div>
                <?php
                }
                ?>
                </div>
                
            </div>
        </div>
    <?php
    // Post Image
    elseif ( has_post_thumbnail() ) : ?>
        <div class="post-media">
            <div class="post-thumb">
                <?php
                $blog_type = snsbiamuc_get_option('blog_type');
                $img_size = 'snsbiamuc_post_thumbnail';
                switch ($blog_type){
                	case 'layout2';
                		$img_size = 'snsbiamuc_post_layout2_thumbnail';
                		break;
                	case 'masonry';
                		$img_size = 'full';
                		break;
                	default: // standard post
                		$img_size = 'snsbiamuc_post_thumbnail';
                		break;
                }?>
    	            <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( esc_html__( '%s', 'snsbiamuc' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark">
    	            <?php
    	            	the_post_thumbnail($img_size);
    	            ?>
    	            </a>
            </div>
        </div>
    <?php
    endif;?>
    <div class="post-content">
        <div class="post-meta">
            <?php
            // Date
            if (snsbiamuc_get_option('show_date', 1) == 1 ) : ?>
            <div class="date-post">
                <span class="p-date"><?php echo get_the_date('j'); ?></span>
                <span class="p-month"><?php echo get_the_date('F'); ?></span>
            </div>
            <?php
            endif;
            snsbiamuc_single_post_meta_content();
            ?>
        </div>

        <?php if( snsbiamuc_get_option('show_tags', 1) == 1 && get_the_tag_list()): ?>
        <div class="tags-links"><?php the_tags(esc_html__('Tags: ', 'snsbiamuc'),', '); ?></div>
        <?php endif; ?>
    	<?php if(snsbiamuc_get_option('show_categories', 1) == 1):?>
    	<div class="post-cats">
            <span class="post-in-cats"><?php esc_html_e( 'In:', 'snsbiamuc' );?></span>
    		<span class="cat-links"><?php echo get_the_category_list(', '); ?></span>
    	</div>
        <?php endif; ?>
        <?php
         // Edit link
        edit_post_link(esc_html__('Edit this post','snsbiamuc'), '<span class="edit-post">'.esc_html__('Edit: ','snsbiamuc'), '</span>'); ?>
        <div class="content">
            <h2 class="page-header dsfsdfsdfds">
              <a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( esc_html__( 'Permalink to %s', 'snsbiamuc' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
            </h2>
	        
            <div class="post-excerpt">
	            <?php if( empty( $post->post_excerpt ) ) { ?>
                <?php
                $readmore = '<span>'.esc_html__('Read More', 'snsbiamuc').'</span><span class="meta-nav">&nbsp;</span>';
                if ( is_search() && $post->post_type == 'page' ) {
                    // Trip shortcodes for post type is page on search result page
                    echo strip_shortcodes(get_the_content($readmore));
                }else{
                    the_content($readmore);
                }
                wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'snsbiamuc' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) );
                ?>
                <?php } else { ?>
                    <p class="excerpt"><?php echo snsbiamuc_excerpt( (int)snsbiamuc_get_option('excerpt_length', 55) ); ?></p>
                <?php } ?>
            </div>
            <?php if ( snsbiamuc_get_option('show_readmore', 0) == 1) : ?>
	       	<div class="post-meta-more">
            	<div class="read-more">
            		<a href="<?php echo get_permalink();?>" title="<?php esc_html_e('Read more', 'snsbiamuc');?>"><?php esc_html_e('Read more', 'snsbiamuc');?><i class="sns-long-arrow-right" aria-hidden="true"></i></a>
            	</div>
            </div>
            <?php endif; ?>
        </div>
    </div>
</article>