<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <header class="entry-header">
        <div class="entry-header-info">
            <div class="post-meta">
                <div class="date-post">
                    <span class="p-date"><?php echo get_the_date('j'); ?></span>
                    <span class="p-month"><?php echo get_the_date('F'); ?></span>
                </div>
                <?php
                if(has_post_thumbnail()){
                    snsbiamuc_single_post_meta_content();
                }?>
            </div>
        </div>
        <div class="entry-header-content">
            <?php
                $categories_list = get_the_category_list( _x( ', ', 'Used between list items, there is a space after the comma.', 'snsbiamuc' ) );
                if ( $categories_list ) {
                    printf( '<span class="cat-links"><span class="screen-reader-text">%1$s </span>%2$s</span>',
                        _x( 'Categories:', 'Used before category names.', 'snsbiamuc' ),
                        $categories_list
                    );
                }
            ?>
            <?php the_title( '<h1 class="entry-title page-header">', '</h1>' ); ?>
            
        </div>
    </header><!-- .entry-header -->
    <?php
    // Post Quote
    if ( get_post_format() == 'quote' && function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_quotecontent') && rwmb_meta('snsbiamuc_post_quoteauthor') ) : ?>
        <div class="quote-info post-thumb">
            <?php if ( rwmb_meta('snsbiamuc_post_quotecontent') ) : ?>
            <div class="quote-content gfont"><i class="fa fa-quote-left"></i><?php echo esc_html(rwmb_meta('snsbiamuc_post_quotecontent')); ?><i class="fa fa-quote-right"></i></div>
            <?php endif; ?>
             <?php if ( rwmb_meta('snsbiamuc_post_quoteauthor') ) : ?>
            <div class="quote-author"><?php echo esc_html(rwmb_meta('snsbiamuc_post_quoteauthor')); ?></div>
            <?php endif; ?>
        </div>
    <?php
    // Post Link
    elseif ( get_post_format() == 'link' && function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_linkurl') ) : ?>
        <div class="link-info">
            <a class="gfont" title="<?php echo esc_attr(rwmb_meta('snsbiamuc_post_linktitle')) ?>" href="<?php echo esc_url( rwmb_meta('snsbiamuc_post_linkurl') ) ?>"><?php echo esc_html(rwmb_meta('snsbiamuc_post_linktitle')) ?></a>
        </div>
    <?php
    // Post Video
    elseif ( get_post_format() == 'video' && get_post_meta(get_the_id(), 'snsbiamuc_post_video', true) ) : ?>
        <div class="video-thumb video-responsive">
            <?php
            echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsbiamuc_post_video', true)));
            ?>
        </div>
    <?php
    // Post Audio
    elseif ( get_post_format() == 'audio' && get_post_meta(get_the_id(), 'snsbiamuc_post_audio', true) ) : ?>
        <div class="audio-thumb audio-responsive">
            <?php
            echo wp_oembed_get(esc_attr(get_post_meta(get_the_id(), 'snsbiamuc_post_audio', true)));
            ?>
        </div>
    <?php
    // Post Gallery
    elseif ( function_exists('rwmb_meta') && rwmb_meta('snsbiamuc_post_gallery') ) :
    ?>
        <div class="gallery-thumb">
            <div class="navslider" style="display:none"><span class="prev"><span aria-hidden="true" class="arrow_carrot-left"></span></span><span class="next"><span aria-hidden="true" class="arrow_carrot-right"></span></span></div>
            <div class="thumb-container">
            <?php
            foreach (rwmb_meta('snsbiamuc_post_gallery', 'type=image') as $image) {?>
               <div class="item"><img alt="<?php echo esc_attr($image['alt']); ?>" src="<?php echo esc_url($image['full_url']); ?>"/></div>
            <?php
            }
            ?>
            </div>
        </div>
    <?php
    // Post Image
    elseif ( has_post_thumbnail() ) : ?>
        <div class="post-thumb">
            <?php
           the_post_thumbnail();
            ?>
        </div>
    <?php
    endif;?>
    
    <div class="post-content">
	    <div class="content">
	        <?php 
	        the_content();
	        // Post Paging
	        wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'snsbiamuc' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); 
	        ?>
	    </div>
        <div class="post-footer">
            <div class="post-author">
                <div class="post-by">
                <?php
                printf( wp_kses(__( '<span class="byline">Post by:</span><a class="author-link" href="%s" rel="author">%s</a>', 'snsbiamuc' ), array(
                                'a' => array(
                                    'href' => array(),
                                    'class' => array(),
                                    'ref' => array()
                                ),
                                'span' => array(
                                    'class' => array()
                                ),
                                ) ), esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),  get_the_author_meta('display_name') ); ?>
                </div>
            </div>
            <div class="post-footer-right">
                <?php
                // List tags
                $tag_list = get_the_tag_list( '', esc_html__( ', ', 'snsbiamuc' ) );
                if ( $tag_list ):?>
                <div class="post-tag-list">
                    <?php esc_html_e( 'Tags:', 'snsbiamuc' );?>
                    <span class="tags-links"><?php echo $tag_list; ?></span>
                </div>
                <?php
                endif;
                ?>
                <?php
                if ( snsbiamuc_get_option('show_postsharebox', '1') == '1' ) : ?>
                <div class="block-social-share">
                <?php  snsbiamuc_sharebox(); ?>
                </div>
                <?php
                endif;
                ?> 
            </div> 
        </div>
        
        <?php
            // Edit link
        edit_post_link(esc_html__('Edit','snsbiamuc'), '<span class="edit-post"><i class="fa fa-edit"></i> ', '</span>'); ?>
	</div><!-- /.post-content -->
    
    <?php
    // Author bio
    if ( snsbiamuc_get_option('show_postauthor', 1) == 1 && get_the_author_meta( 'description' ) != '' ) :
        get_template_part( 'author-bio' );
    endif;
    // Related post
    if ( snsbiamuc_get_option('enalble_related', true) ) :
        snsbiamuc_relatedpost();
    endif;
    // If comments are open or we have at least one comment, load up the comment template.
    if ( comments_open() || get_comments_number() ) :
    comments_template();
    endif;
    ?>
</article>