<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
  	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php endif; ?>
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php
	snsbiamuc_preloadingeffect();
	?>
	<div id="sns_bm_wrap">
		<div id="sns_bm_main_sidebar">
			<div class="tongle-sidebar">
				<i class="fa fa-align-left"></i>
				<span class="overlay"></span>
			</div>
			<div class="sns-bm-main-sidebar-wrap">
				<div class="bm-main-sidebar-header">
					<div class="logo">
						<?php 
						$logourl = SNSBIAMUC_THEME_URI.'/assets/img/logo.png';
						if ( snsbiamuc_get_option('header_logo','','url') && snsbiamuc_get_option('header_logo','','url') !='' ){
							$logourl = snsbiamuc_get_option('header_logo','','url');
						}
						?>
						<a href="<?php echo esc_url( home_url('/') ) ?>" title="<?php bloginfo( 'sitename' ); ?>">
							<img src="<?php echo esc_url($logourl); ?>" alt="<?php bloginfo( 'sitename' ); ?>"/>
						</a>
					</div>
					<div class="bm-main-sidebar-tools">
						<div class="search sns-search">
							<span class="tongle">
								<i class="fa fa-search"></i>
							</span>
							<div class="content">
								<?php snsbiamuc_get_searchform('hide_cat');?>
							</div>
						</div>
						<?php if( snsbiamuc_get_option('show_settings_switcher', '0') == '1' ): ?>
						<div class="settings sns-settings">
							<span class="tongle">
								<i class="fa fa-cog"></i>
							</span>
							<div class="content">
								<div class="setting-switcher">
										<?php if( snsbiamuc_get_option('show_language_currency_switcher', '0') == '1' ): ?>
										<div class="language-switcher">
											<div class="lan-current"><?php esc_html_e('Language', 'snsbiamuc');?></div>
											<ul class="list-lang">
												<li><span class="current"><img src="<?php echo SNSBIAMUC_THEME_URI.'/assets/img/gb.png'?>" alt="en"></span></li>
												<li><a title="" href="#"><img src="<?php echo SNSBIAMUC_THEME_URI.'/assets/img/es.png'?>" alt=""></a></li>
												<li><a title="" href="#"><img src="<?php echo SNSBIAMUC_THEME_URI.'/assets/img/fi.png'?>" alt=""></a></li>
											</ul>
										</div>
										<div class="currency-switcher">
											<div class="currency"><?php esc_html_e('Currency', 'snsbiamuc');?></div>
											<ul class="select-currency">
												<li class="active"><a title="<?php esc_html_e('USD', 'snsbiamuc');?>" href="#"><i class="fa fa-usd"></i><?php esc_html_e(' - USD', 'snsbiamuc');?></a></li>
												<li><a title="<?php esc_html_e('JPY', 'snsbiamuc');?>" href="#"><i class="fa fa-eur"></i><?php esc_html_e(' - EUR', 'snsbiamuc');?></a></li>
												<li><a title="<?php esc_html_e('EURO', 'snsbiamuc');?>" href="#"><i class="fa fa-jpy"></i><?php esc_html_e(' - EUR', 'snsbiamuc');?></a></li>
											</ul>
										</div>
										<?php endif; ?>
										<?php
										if( has_nav_menu('top_navigation') ): ?>
										<div class="top-menu">
											<div class="sns-quickaccess">
												<div class="quickaccess-inner">
													<?php
										           	wp_nav_menu( array(
									       				'theme_location' => 'top_navigation',
									       				'container' => false, 
									       				'menu_id' => 'top_navigation',
									       				'menu_class' => 'top-navigation',
									       				'walker' => new Sns_Megamenu_Front,
									       			));
										        	?>
									        	</div>
									        </div>
										</div>
								        <?php
								       	endif;
								        ?>
								</div>
							</div>
						</div>
						<?php endif;?>
						<?php if ( class_exists('WooCommerce') ) : 
						global $woocommerce;
						?>
						<div class="mini-cart sns-ajaxcart">
							<div class="mycart mini-cart">
								<a title="<?php esc_attr_e( 'View my shopping cart', 'snsbiamuc' ); ?>" class="tongle" href="<?php echo wc_get_cart_url(); ?>">
									<div class="icon-minicart">
										<i class="fa fa-shopping-basket"></i>
										<span class="ajax_cart_quantity">
											<span class="number-item"><?php echo sizeof( WC()->cart->get_cart() );?></span>
										</span>
									</div>
								</a>
								<a href="<?php echo wc_get_cart_url(); ?>" class="total-cart" title="<?php ?>" >
									<span class="sns-total"><?php echo sizeof( WC()->cart->get_cart() ) > 0 ? WC()->cart->get_cart_subtotal() : '00.00'?></span>
								</a>
								<?php if ( !is_cart() && !is_checkout() ) : ?>
								<div class="content">
									<div class="block-inner">
									<?php the_widget( 'WC_Widget_Cart', 'title= ', array('before_title' => '', 'after_title' => '') ); ?>
									</div>
								</div>
								<?php endif; ?>
							</div>
						</div>
						<?php endif; ?>
					</div>
				</div>
				<div class="bm-main-sidebar-content">
					<div class="bm-main-sidebar-content-wrapper">
						<div id="sns_mainmenu" class="visible-lg">
							<?php
							if( has_nav_menu('main_navigation') ):
								wp_nav_menu( array(
			           				'theme_location' => 'main_navigation',
			           				'container' => false, 
			           				'menu_id' => 'main_navigation',
			           				'walker' => new Sns_Megamenu_Front,
			           				'menu_class' => 'main-navigation'
			           			) );
							else:
								echo '<p class="alert">'.esc_html__('Please sellect menu for Main navigation', 'snsbiamuc').'</p>';
							endif;
							?>
						</div>
						<div id="sns_respmenu" class="hidden-lg">
							<?php
							$main_menu = '';
							if(is_page() && ($menu_selected = get_post_meta(get_the_ID(), 'snsbiamuc_main_menu', true))){
								$main_menu = $menu_selected;
							}
							
					        if(has_nav_menu('main_navigation')):
					           wp_nav_menu( array(
					           				'theme_location' => 'main_navigation',
					           				'container' => false,
					           				'menu'		=> $main_menu,
					           				'menu_id' => 'res_main_nav',
					           				'menu_class' => 'resp-nav'
					           	) ); 
							else:
								esc_html_e('Please sellect menu for Main navigation', 'snsbiamuc');
							endif;
							?>
						</div>
					</div>
				</div>
				<div class="bm-main-sidebar-footer">
					<div class="bm-main-sidebar-footer-wrapper">
						<div class="sns-copyright">
							<?php 
							$copyright = snsbiamuc_get_option('copyright');
							echo ( isset( $copyright ) && $copyright !='' ) ? wp_kses($copyright, array(
										'a' => array(
											'href' => array(),
											'class' => array(),
											'data-original-title' => array(),
											'data-toggle' => array(),
											'title' => array()
										),
										'img' => array(
											'src' => array(),
											'alt' => array(),
											'class' => array(), 
										),
										'br' => array(),
										)) : esc_html__('© 2017 SNSTheme. All Rights Reserved', 'snsbiamuc'); ?>
						</div>
						<div class="sns-cocials">
							<?php snsbiamuc_print_social_icon(); ?>
						</div>
					</div>
				</div>
			</div>
		</div> <!-- End #sns_bm_main_sidebar -->
		<div id="sns_wrapper" class="sns-container">
			<?php
				get_template_part('tpl-head');
			?>