<?php
$lclass = '';
$rclass = '';
$mclass = '';
$hasL = 0;
$hasR = 0;

$layouttype = snsbiamuc_get_option('layouttype', 'm-r');

if ( $layouttype == 'l-m'){
    $lclass .= 'col-md-3';
    $mclass = 'col-md-9';
    $hasL = 1;
}elseif( $layouttype == 'm-r' ){
    $rclass .= 'col-md-3';
    $mclass = 'col-md-9';
    $hasR = 1;
}elseif( $layouttype == 'l-m-r' ){
    $lclass .= 'col-md-3';
    $rclass .= 'col-md-3';
    $mclass = 'col-md-6';
    $hasL = 1;
    $hasR = 1;
}else{
    $mclass = 'col-md-12';
}
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="sns-content">
			<div class="row">
				<div class="col-md-12 sns-breadcrumbs">
					<?php
					if ( !is_front_page() && get_post_meta( get_the_ID(), 'snsbiamuc_showbreadcrump', true ) == 1)
					snsbiamuc_breadcrumbs(); ?>
				</div>
			    <?php if( $hasL == 1): ?>
				<!-- left sidebar -->
				<div class="<?php echo esc_attr($lclass); ?> sns-left">
					<div class="sns-left-content">
					    <?php 
					    if( class_exists('WooCommerce') && is_woocommerce() ){
					        dynamic_sidebar( 'woo-sidebar'); 
					    }else{
					        if( snsbiamuc_get_option('leftsidebar')!= '' && is_active_sidebar( snsbiamuc_get_option('leftsidebar') ) ) :
					        	dynamic_sidebar( snsbiamuc_get_option('leftsidebar') ); 
					        else :
					        	dynamic_sidebar('widget-area');
					        endif;
					    }
					    ?>
				    </div>
				</div>
				<?php endif; ?>
				<!-- Main content -->
				<div class="<?php echo esc_attr($mclass); ?> sns-main">
					<?php if( $hasL == 1 || $hasR == 1): ?>
					<div class="sns-main-content">
					<?php endif; ?>
					    <?php
					    if ( have_posts() ) :
					        get_template_part( 'framework/tpl/page/content' );
					    else:
					        get_template_part( 'content', 'none' );
					    endif; ?>
					<?php if( $hasL == 1 || $hasR == 1): ?>
				    </div>
				    <?php endif; ?>
				</div>
				<?php if ($hasR == 1): ?>
				<!-- Right sidebar -->
				<div class="<?php echo esc_attr($rclass); ?> sns-right">
					<div class="sns-right-content">
					    <?php 
					    if( class_exists('WooCommerce') && is_woocommerce() ){
					        dynamic_sidebar( 'woo-sidebar'); 
					    }else{
					        if( snsbiamuc_get_option('rightsidebar')!= '' && is_active_sidebar( snsbiamuc_get_option('rightsidebar') ) ) :
					        	dynamic_sidebar( snsbiamuc_get_option('rightsidebar') ); 
					        else :
					        	dynamic_sidebar('widget-area');
					        endif;
					    }
					    ?>
				    </div>
				</div>
				<?php endif ?>
			</div>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>