<?php
$lclass = '';
$rclass = '';
$mclass = '';
$hasL = 0;
$hasR = 0;

$layouttype = snsbiamuc_get_option('layouttype', 'm-r');

if ( $layouttype == 'l-m'){
    $lclass .= 'col-lg-3';
    $mclass = 'col-lg-9 col-md-12';
    $hasL = 1;
}elseif( $layouttype == 'm-r' ){
    $rclass .= 'col-lg-3';
    $mclass = 'col-lg-9 col-md-12';
    $hasR = 1;
}elseif( $layouttype == 'l-m-r' ){
    $lclass .= 'col-lg-3';
    $rclass .= 'col-lg-3';
    $mclass = 'col-lg-6';
    $hasL = 1;
    $hasR = 1;
}else{
    $mclass = 'col-md-12';
}
?>
<?php get_header(); ?>
<!-- Content -->
<div id="sns_content">
	<div class="container">
		<div class="sns-content">
			<div class="row">
				<div class="col-md-12 sns-breadcrumbs">
					<?php snsbiamuc_breadcrumbs(); ?>
				</div>

			    <?php if( $hasL == 1): ?>
				<!-- left sidebar -->
				<div class="<?php echo esc_attr($lclass); ?> sns-left">
					<div class="sns-left-content">
					    <?php 
					    if( class_exists('WooCommerce') && is_woocommerce() ){
					        dynamic_sidebar( 'woo-sidebar'); 
					    }else{
					        if( snsbiamuc_get_option('leftsidebar')!= '' && is_active_sidebar( snsbiamuc_get_option('leftsidebar') ) ) :
					        	dynamic_sidebar( snsbiamuc_get_option('leftsidebar') ); 
					        else :
					        	dynamic_sidebar('widget-area');
					        endif;
					    }
					    ?>
				    </div>
				</div>
				<?php endif; ?>
				<!-- Main content -->
				<div class="<?php echo esc_attr($mclass); ?> sns-main">
					<div class="sns-main-content">
					    <?php
					    // Start the loop.
					    if(have_posts()):
							while ( have_posts() ) : the_post();
						
								// Set post view count
								snsbiamuc_set_post_views(get_the_ID());
						
				        		get_template_part( 'framework/tpl/single/single', get_post_format() );
				        	
					      	endwhile;
					      else:
					      	get_template_part( 'content', 'none' );
					      endif;
					    ?>
				    </div>
				</div>
				<?php if ($hasR == 1): ?>
				<!-- Right sidebar -->
				<div class="<?php echo esc_attr($rclass); ?> sns-right">
					<div class="sns-right-content">
					    <?php 
					    if( class_exists('WooCommerce') && is_woocommerce() ){
					        dynamic_sidebar( 'woo-sidebar'); 
					    }else{
					        if( snsbiamuc_get_option('rightsidebar')!= '' && is_active_sidebar( snsbiamuc_get_option('rightsidebar') ) ) :
					        	dynamic_sidebar( snsbiamuc_get_option('rightsidebar') ); 
					        else :
					        	dynamic_sidebar('widget-area');
					        endif;
					    }
					    ?>
				    </div>
				</div>
				<?php endif ?>
			</div>
		</div>
	</div>
</div>
<!-- End Content -->
<?php get_footer(); ?>