<?php
$vc_add_css_animation = array(
	'type' => 'dropdown',
	'heading' => esc_html__( 'CSS Animation', 'snsbiamuc' ),
	'param_name' => 'css_animation',
	'admin_label' => true,
	'value' => array(
		esc_html__( 'No', 'snsbiamuc' ) => '',
		esc_html__( 'Top to bottom', 'snsbiamuc' ) => 'top-to-bottom',
		esc_html__( 'Bottom to top', 'snsbiamuc' ) => 'bottom-to-top',
		esc_html__( 'Left to right', 'snsbiamuc' ) => 'left-to-right',
		esc_html__( 'Right to left', 'snsbiamuc' ) => 'right-to-left',
		esc_html__( 'Appear from center', 'snsbiamuc' ) => 'appear'
	),
	'description' => esc_html__( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'snsbiamuc' )
);
$sns_extra_class =array(
			"type" => "textfield",
			"heading" => esc_html__("Extra class name", 'snsbiamuc'),
			"param_name" => "extra_class"
		);

global $wpdb;
// Get category name
$sql = $wpdb->prepare( "
	SELECT a.name,a.slug,a.term_id 
	FROM {$wpdb->terms} a JOIN  {$wpdb->term_taxonomy} b ON (a.term_id= b.term_id ) 
	WHERE b.count> %d and b.taxonomy = %s",
	0,'category' );
$results = $wpdb->get_results($sql);
$cat_value = array();
foreach ($results as $cat) {
	$cat_value[$cat->name] = $cat->slug;
}

// BEGIN: Shortcodes for Woo
if(class_exists('WooCommerce')){
	// Get woo category name
	$sql = $wpdb->prepare( "
		SELECT a.name,a.slug,a.term_id 
		FROM {$wpdb->terms} a JOIN  {$wpdb->term_taxonomy} b ON (a.term_id= b.term_id ) 
		WHERE b.count> %d and b.taxonomy = %s",
		0,'product_cat' );
	$results = $wpdb->get_results($sql);
	$woocat_value = array();
	$woocat_value[esc_html__('--Select--', 'snsbiamuc')] = '';
	foreach ($results as $cat) {
		$woocat_value[$cat->name] = $cat->slug;
	}

	function sns_woo_get_product_list(){
		$product_list =  array();
		$product_list[esc_html__('--Select--', 'snsbiamuc')] = '';

		$args = array(
			'posts_per_page' 	=> -1,
			'post_status' 	 	=> 'publish',
			'post_type' 	 	=> 'product',
			'order'          	=> 'DESC',
		);
		$products = get_posts( $args );

		foreach ($products as $product) {
			$product_list[$product->post_title] = $product->id;
		}

		return $product_list;
	}

	$product_list = sns_woo_get_product_list();
	/*
	 * SNS create new param type
	 */
	$params_script = SNSBIAMUC_THEME_URI . '/admin/assets/js/params.js';

	vc_add_shortcode_param('sns_woo_categories', 'sns_woo_settings_categories', $params_script);
	function sns_woo_settings_categories( $settings,  $value, $dependency=''){
		$catgory_ids = explode(',', $value);
		$args = array(
			'orderby' => 'name',
			'hide_empty' => 0,
		);
		$categories = get_terms('product_cat', $args);
		$output = '<select '.$dependency.' id="'.$settings['param_name'].'" multiple="multiple" class="sns-woo-select chosen_select_nostd">';
		$output .= '<option value="">'. esc_html__('-- Select -- ', 'snsbiamuc') . '</option>';
		if( !empty($categories) ){
			foreach ($categories as $cat){
				$output .= '<option value="'. esc_attr($cat->slug) .'"' . selected( in_array($cat->slug, $catgory_ids), true, false ) . '>' . esc_html( $cat->name ) . '</option>';
			}
		}
		$output .= '</select>';
		$output .= '<input type="hidden" id="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-textinput" name="'.$settings['param_name'].'" value="'.$value.'"/>';
		
		return $output;
	}

	vc_add_shortcode_param('sns_woo_products', 'sns_woo_settings_products', $params_script);
	function sns_woo_settings_products( $settings,  $value, $dependency=''){
		$product_ids = explode(',', $value);
		$args = array(
			'posts_per_page' 	=> -1,
			'post_status' 	 	=> 'publish',
			'post_type' 	 	=> 'product',
			'order'          	=> 'DESC',
		);
		$products = new WP_Query($args);
		$output = '<select '.$dependency.' id="'.$settings['param_name'].'" multiple="multiple" class="sns-woo-select chosen_select_nostd">';
		$output .= '<option value="">'. esc_html__('-- Select -- ', 'snsbiamuc') . '</option>';
		if($products->have_posts()):
			while ($products->have_posts()): $products->the_post();
				$output .= '<option value="'. esc_attr(get_the_ID()) .'"' . selected( in_array(get_the_ID(), $product_ids), true, false ) . '>' . esc_html( get_the_title() ) . '</option>';
			endwhile;
		endif;
		$output .= '</select>';
		$output .= '<input type="hidden" id="'.$settings['param_name'].'" class="wpb_vc_param_value wpb-textinput" name="'.$settings['param_name'].'" value="'.$value.'"/>';
		
		wp_reset_postdata ();
		return $output;
	}
	class WPBakeryShortCode_SNS_Product_Category extends WPBakeryShortCode {}

	vc_map( array(
		"name" => esc_html__("SNS Product Category",'snsbiamuc'),
		"base" => "sns_product_category",
		"icon" => "sns_icon_product_category",
		"class" => "sns_product_category",
		"category" => esc_html__("SNS WooCommerce",'snsbiamuc'),
		"description" => '',
		"params" => array(
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Template",'snsbiamuc'),
				"param_name" => "template",
				"admin_label" => true,
				"value" => array(
					esc_html__("Grid right",'snsbiamuc') => 'right',
					esc_html__("Grid left",'snsbiamuc') => 'left',
				),
				"description" => esc_html__("Select template. Display the Category info and a grid with 4 products in right or left.", 'snsbiamuc')
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"value" => $woocat_value,
				"heading" => esc_html__("Select Category",'snsbiamuc'),
				"param_name" => "category",
				"admin_label" => true,
				"description" => ""
			),
			array(
				'type' => 'attach_image',
				'heading' => esc_html__( 'Category thumbnail', 'snsbiamuc' ),
				'param_name' => 'category_thumbnail',
				'value' => '',
				'description' => esc_html__( 'Select image from library. Make sure that the image you select is large enough in size from 775x774 and higher.', 'snsbiamuc' ),
			),
			array(
				"type" => "textarea_html",
				"class" => "",
				"heading" => esc_html__("Category excerpt",'snsbiamuc'),
				"param_name" => "category_excerpt",
				"value" => "",
				"description" => esc_html__("Custom the description for the category.", 'snsbiamuc'),
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Category excerpt offset",'snsbiamuc'),
				"param_name" => "category_info_topoffset",
				"value" => "bottom:50px;",
				"description" => esc_html__("The position of the category info box(px). Default: 'bottom:50px;'", 'snsbiamuc'),
			),
			$vc_add_css_animation,
			$sns_extra_class,
			
		)
	) );


	class WPBakeryShortCode_SNS_Products extends WPBakeryShortCode {}

	vc_map( array(
		"name" => esc_html__("SNS Products",'snsbiamuc'),
		"base" => "sns_products",
		"icon" => "sns_icon_products",
		"class" => "sns_products",
		"category" => esc_html__("SNS WooCommerce",'snsbiamuc'),
		"description" => esc_html__( "WooCommerce products",'snsbiamuc' ),
		"params" => array(
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Title",'snsbiamuc'),
				"param_name" => "title",
				"admin_label" => true,
				"value" => "New Products"
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Description",'snsbiamuc'),
				"param_name" => "desc",
				"value" => "",
				"description" => esc_html__("Description below Title", 'snsbiamuc'),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"value" => $woocat_value,
				"heading" => esc_html__("Select Category",'snsbiamuc'),
				"param_name" => "category",
				"description" => ""
			),
			array(
				"type" => "sns_woo_products",
				"class" => "",
				"heading" => esc_html__("Include Products",'snsbiamuc'),
				"param_name" => "products",
				"description" => "",
				'dependency' => array(
					'element' => 'category',
					'value' => array('', '--Select--'),
				),
			),
			array(
				"type" => "dropdown",
				"class" => "",
				"heading" => esc_html__("Select Order By",'snsbiamuc'),
				"param_name" => "list_orderby",
				"value" => array(
					esc_html__('Latest', 'snsbiamuc') => "recent",
					esc_html__('BestSeller', 'snsbiamuc') => "best_selling",
					esc_html__('Top Rated', 'snsbiamuc') => "top_rate",
					esc_html__('Special', 'snsbiamuc') => "on_sale",
					esc_html__('Featured', 'snsbiamuc') => "featured_product",
					esc_html__('Recent Review', 'snsbiamuc') => "recent_review",
				),
				"dependency" => array("element" => "template" , "value" => "list" ),
				"description" => ""
			),
			array(
				"type" => "textfield",
				"class" => "",
				"heading" => esc_html__("Product number limit",'snsbiamuc'),
				"param_name" => "number_limit",
				"value" => "10"
			),
			$vc_add_css_animation,
			$sns_extra_class,
			
		)
	) );


	class WPBakeryShortCode_SNS_Product_Tabs extends WPBakeryShortCode {
		public function getListTabTitle(){
			$this->atts = vc_map_get_attributes( $this->getShortcode(), $this->atts );
			$array_tab = array();
			if ( $this->atts['tab_types'] == 'category' ) :
				if( empty($this->atts['list_cat']) ) :
					$array_tab = $this->getCats();
				else :
					$array_tab = explode(',', $this->atts['list_cat']);
				endif;
				//var_dump($array_tab);
			else :
				$array_tab = explode(',', $this->atts['list_orderby']);
			endif;
			foreach ($array_tab as $tab) {
				$list_tab[$tab] = $this->tabTitle($tab, $this->atts['tab_types']);
			}
			return $list_tab;
		}

		public function tabTitle($tab, $tab_types){
			if( $tab_types == 'category' ){
				$cat = get_term_by('slug', $tab, 'product_cat');
				
				return array('name'=>str_replace(' ', '_', $tab),'title'=>$cat->name,'short_title'=>$cat->name);
			}else{
				switch ($tab) {
					case 'recent':
						return array('name'=>$tab,'title'=>esc_html__('Latest','snsbiamuc'),'short_title'=>esc_html__('Latest','snsbiamuc'));
					case 'featured_product':
						return array('name'=>$tab,'title'=>esc_html__('Featured','snsbiamuc'),'short_title'=>esc_html__('Featured','snsbiamuc'));
					case 'top_rate':
						return array('name'=>$tab,'title'=> esc_html__('Top Rated','snsbiamuc'),'short_title'=>esc_html__('Top Rated', 'snsbiamuc'));
					case 'best_selling':
						return array('name'=>$tab,'title'=>esc_html__('BestSeller','snsbiamuc'),'short_title'=>esc_html__('Best Seller','snsbiamuc'));
					case 'on_sale':
						return array('name'=>$tab,'title'=>esc_html__('Special','snsbiamuc'),'short_title'=>esc_html__('Special','snsbiamuc'));
				}
			}
		}
		public function getCats(){
			$cats = get_terms('product_cat');
			$arr = array();
			foreach ($cats as $cat) {
				$arr[] = $cat->slug;
			}
			return $arr;
		}
	}

	class WPBakeryShortCode_SNS_Products_Slider extends WPBakeryShortCode {}

	$order_by_values = array(
		'',
		esc_html__('Latest Products', 'snsbiamuc') => "recent",
		esc_html__('BestSeller Products', 'snsbiamuc') => "best_selling",
		esc_html__('Top Rated Products', 'snsbiamuc') => "top_rate",
		esc_html__('Sale Off', 'snsbiamuc') => "on_sale",
		esc_html__('Featured Products', 'snsbiamuc') => "featured_product",
		esc_html__('Recent Review', 'snsbiamuc') => "recent_review",
	);

	$order_way_values = array(
		'',
		esc_html__( 'Descending', 'snsbiamuc' ) => 'DESC',
		esc_html__( 'Ascending', 'snsbiamuc' ) => 'ASC',
	);

	vc_map( array(
			"name" => esc_html__("SNS Products Slider",'snsbiamuc'),
			"base" => "sns_products_slider",
			"icon" => "sns_icon_products_slider",
			"class" => "sns_products_slider",
			"category" => esc_html__("SNS WooCommerce",'snsbiamuc'),
			"description" => esc_html__( "Show products slider", 'snsbiamuc' ),
			"params" => array(
					array(
						"type" => "textfield",
						"class" => "",
						"heading" => esc_html__("Title",'snsbiamuc'),
						"param_name" => "title",
						"admin_label" => true,
						"value" => ""
					),
					array(
						"type" => "textfield",
						"heading" => esc_html__("Badge label for box", 'snsbiamuc'),
						"param_name" => "badge_label" ,
					),
					array(
						"type" => "colorpicker",
						"value" => "",
						"heading" => esc_html__("Background Color for Badge label", 'snsbiamuc'),
						"param_name" => "badge_color",
				    ),
					
					array(
						"type" => "sns_woo_categories",
						"class" => "",
						"heading" => esc_html__("Select Category",'snsbiamuc'),
						"param_name" => "list_cat",
						"description" => ""
					),
					array(
						'type' => 'dropdown',
						'heading' => __( 'Order by', 'snsbiamuc' ),
						'param_name' => 'orderby',
						'value' => $order_by_values,
						'description' => ""
					),
					array(
						'type' => 'dropdown',
						'heading' => __( 'Order', 'snsbiamuc' ),
						'param_name' => 'order',
						'value' => $order_way_values,
						'description' => ""
					),
					array(
						"type" => "textfield",
						"class" => "",
						"heading" => esc_html__("Product number limit",'snsbiamuc'),
						"param_name" => "number_limit",
						"value" => "4"
					),
					
				$vc_add_css_animation,
				$sns_extra_class,
			)
	) );
}

// SNS Custom Box
class WPBakeryShortCode_SNS_Custom_Box extends WPBakeryShortCode {}
vc_map( array(
	"name"  => esc_html__("SNS Custom Box", 'snsbiamuc'),
	"base" => "sns_custom_box",
	"show_settings_on_create" => true ,
	"is_container" => false ,
	"icon" => "vc_icon_snstheme",
	"class" => "vc_icon_snstheme",
	"content_element" => true ,
	"category" => esc_html__('Content', 'snsbiamuc'),
	'description' => esc_html__( 'Box contain: icon, title, description', 'snsbiamuc' ),
	"params" => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Layout', 'snsbiamuc' ),
			'value' => array(
				esc_html__( 'Layout 1', 'snsbiamuc' ) => 'layout_1',
				esc_html__( 'Layout 2', 'snsbiamuc' ) => 'layout_2',
			),
			'param_name' => 'layout',
			'save_always' => true,
			'description' => '',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Icon library', 'snsbiamuc' ),
			'value' => array(
				esc_html__( 'Font Awesome', 'snsbiamuc' ) => 'fontawesome',
				esc_html__( 'Linecons', 'snsbiamuc' ) => 'linecons',
				esc_html__( 'Image', 'snsbiamuc' ) => 'image',
			),
			'param_name' => 'icon_type',
			'description' => esc_html__( 'Select icon library.', 'snsbiamuc' ),
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__( 'Icon Image', 'snsbiamuc' ),
			'param_name' => 'icon_image',
			'value' => '',
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'image',
			),
			'description' => esc_html__( 'Select image from library.', 'snsbiamuc' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsbiamuc' ),
			'param_name' => 'icon_fontawesome',
			'value' => 'fa fa-adjust', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false,
				// default true, display an "EMPTY" icon?
				'iconsPerPage' => 4000,
				// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'fontawesome',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsbiamuc' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsbiamuc' ),
			'param_name' => 'icon_openiconic',
			'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'openiconic',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'openiconic',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsbiamuc' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsbiamuc' ),
			'param_name' => 'icon_typicons',
			'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'typicons',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'typicons',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsbiamuc' ),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsbiamuc' ),
			'param_name' => 'icon_entypo',
			'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'entypo',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'entypo',
			),
		),
		array(
			'type' => 'iconpicker',
			'heading' => esc_html__( 'Icon', 'snsbiamuc' ),
			'param_name' => 'icon_linecons',
			'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
			'settings' => array(
				'emptyIcon' => false, // default true, display an "EMPTY" icon?
				'type' => 'linecons',
				'iconsPerPage' => 4000, // default 100, how many icons per/page to display
			),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => 'linecons',
			),
			'description' => esc_html__( 'Select icon from library.', 'snsbiamuc' ),
		),
		array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Color for icon", 'snsbiamuc'),
			"param_name" => "icon_color",
			'dependency' => array(
				'element' => 'icon_type',
				'value' => array('linecons', 'fontawesome'),
			),
	    ),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Font size for icon", 'snsbiamuc'),
			"param_name" => "icon_font_size" ,
			"description" => esc_html__("It's font-size for icon you sellected, example: 24px", 'snsbiamuc'),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => array('linecons', 'fontawesome'),
			),
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"No border" => "" ,
						"1px" => "1px" ,
						"2px" => "2px" ,
						"3px" => "3px" ,
						"4px" => "4px" ,
						"5px" => "5px" ,
						"6px" => "6px" ,
						"7px" => "7px" ,
						"8px" => "8px" 
			),
			"heading" => esc_html__("Border size for icon", 'snsbiamuc'),
			"param_name" => "icon_border_size" ,
			"description" => esc_html__("It's border size for icon box", 'snsbiamuc'),
			'dependency' => array(
				'element' => 'icon_type',
				'value' => array('fontawesome', 'linecons'),
			),
		),
		array(
			"type" => "textfield",	
			"heading" => esc_html__("Border radius for icon box", 'snsbiamuc'),
			"param_name" => "icon_border_radius" ,
			'dependency' => array(
				'element' => 'icon_border_size',
				'value' => array('1px', '2px', '3px', '4px', '5px', '6px', '7px', '8px')
			),
			"description" => esc_html__("It's border radius for icon box, example: 10px, or 50%, or none ", 'snsbiamuc')
		),
		array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Border color", 'snsbiamuc'),
			"param_name" => "border_color",
			'dependency' => array(
				'element' => 'icon_border_size',
				'value' => array('1px', '2px', '3px', '4px', '5px', '6px', '7px', '8px')
			)

	    ),
	    array(
			"type" => "colorpicker",
			"value" => "",
			"heading" => esc_html__("Background color", 'snsbiamuc'),
			"param_name" => "background_color",
			'dependency' => array(
				'element' => 'icon_border_size',
				'value' => array('1px', '2px', '3px', '4px', '5px', '6px', '7px', '8px')
			)

	    ),
	    array(
			"type" => "textfield",	
			"heading" => esc_html__("Padding for icon box", 'snsbiamuc'),
			"param_name" => "padding" ,
			'dependency' => array(
				'element' => 'icon_border_size',
				'value' => array('1px', '2px', '3px', '4px', '5px', '6px', '7px', '8px')
			),
			"description" => esc_html__("It's padding for icon box, example: 10px or none ", 'snsbiamuc')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Custom Link", 'snsbiamuc'),
			"param_name" => "link" ,
			"description" => esc_html__("Enter the  link. Do't forget to include http:// ", 'snsbiamuc')
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Title", 'snsbiamuc'),
			"param_name" => "title",
			"value" => esc_html__("Your Title Here ...",'snsbiamuc'),
			"admin_label" => true 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Sellect text align" => "" ,
						"left" => "left" ,
						"right" => "right" ,
						"center" => "center"
			), 	
			"heading" => esc_html__("Text align for box", 'snsbiamuc'),
			"param_name" => "text_align" 
		),
		array(
			"type" => "textarea",
			"heading" => esc_html__("Description", 'snsbiamuc'),
			"param_name" => "desc"
		),
		$vc_add_css_animation,
		$sns_extra_class,
	)
));


// SNS Twitter
class WPBakeryShortCode_SNS_Twitter extends WPBakeryShortCode {}
vc_map( array(
	"name"  => esc_html__("SNS Twitter", 'snsbiamuc'),
	"base" => "sns_twitter",
	"show_settings_on_create" => true ,
	"is_container" => false ,
	"icon" => "",
	"class" => "sns_twitter",
	"content_element" => true ,
	"category" => esc_html__('Content', 'snsbiamuc'),
	'description' => esc_html__( 'Show your list tweets', 'snsbiamuc' ),
	"params" => array(
		array(
			"type" => "textfield",
			"heading" => esc_html__("Title", 'snsbiamuc'),
			"param_name" => "title",
			"value" => esc_html__("Latest Tweets",'snsbiamuc'),
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Widget ID", 'snsbiamuc'),
			"param_name" => "widget_id",
			"value" => "420187988887212033",
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Twitter Account", 'snsbiamuc'),
			"param_name" => "account_name",
			"value" => "snstheme",
			"admin_label" => true 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"List" => "list" ,
						"Carousel" => "carousel" 
			), 	
			"heading" => esc_html__("Template", 'snsbiamuc'),
			"param_name" => "template" 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Navigation", 'snsbiamuc'),
			"param_name" => "show_navigation",
			'dependency' => array(
				'element' => 'template',
				'value' => 'carousel'
			)
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Tweets number display", 'snsbiamuc'),
			"param_name" => "tweets_num_display",
			"value" => "2",
			"admin_label" => true 
		),
		array(
			"type" => "textfield",
			"heading" => esc_html__("Tweets number limit", 'snsbiamuc'),
			"param_name" => "tweets_num_limit",
			"value" => "6",
			'dependency' => array(
				'element' => 'template',
				'value' => 'carousel'
			),
			"admin_label" => true 
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Avartar", 'snsbiamuc'),
			"param_name" => "show_avartar",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Follow Link", 'snsbiamuc'),
			"param_name" => "show_follow_link",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Interact Link", 'snsbiamuc'),
			"param_name" => "show_interact_link",
		),
		array(
			"type" => "dropdown",
			"value" => Array( 
						"Yes" => "1" ,
						"No" => "2" ,
			), 	
			"heading" => esc_html__("Show Date", 'snsbiamuc'),
			"param_name" => "show_date",
		),
		$vc_add_css_animation,
		$sns_extra_class,
	)
));


class WPBakeryShortCode_SNS_Blog_Page extends WPBakeryShortCode {}

vc_map( array(
	"name" => esc_html__("SNS Blog Page",'snsbiamuc'),
	"base" => "sns_blog_page",
	"icon" => "sns_icon_blogpage",
	"class" => "sns_blogpage",
	"category" => esc_html__("Content",'snsbiamuc'),
	"description" => esc_html__( "To create blog page with some style", 'snsbiamuc' ),
	"params" => array(
		array(
			"type" => "checkbox",
			"value" => $cat_value,
			"class" => "",
			"heading" => esc_html__("Categories",'snsbiamuc'),
			"description" => "If you dont sellect category, the default is sellected all category",
			"param_name" => "category"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Blog Style",'snsbiamuc'),
			"param_name" => "blog_type",
			"value" => array(
				"Layout 1" 	=> "",
				"Layout 2" 	=>  "layout2",
			),
			"description" => ""
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Post per pages",'snsbiamuc'),
			"param_name" => "posts_per_page",
			"value" => "5"
		),
		array(
			"type" => "textfield",
			"class" => "",
			"heading" => esc_html__("Excerpt Length",'snsbiamuc'),
			"param_name" => "excerpt_length",
			"value" => "35"
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Enable Read More Button",'snsbiamuc'),
			"param_name" => "show_readmore",
			"value" => array(
				"Yes" => '1',
				"No" =>  '2',
			),
			'description' => esc_html__('Show Read More button.','snsbiamuc')
		),
		array(
			"type" => "dropdown",
			"class" => "",
			"heading" => esc_html__("Page Navigation",'snsbiamuc'),
			"param_name" => "pagination",
			"value" => array(
				"Default" => 'def',
				"Ajax" =>  'ajax'
			),
			'description' => esc_html__('Choose Type of navigation.','snsbiamuc')
		),
		
		$vc_add_css_animation,
		$sns_extra_class,
	)
) );

?>