<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
$uq = rand().time();
$class = 'sns-products woocommerce pre-load';
$class .= ( trim(esc_attr($extra_class))!='' )?' '.esc_attr($extra_class):'';
$class .= esc_attr($this->getCSSAnimation( $css_animation ));

$template = 'grid';

if( class_exists('WooCommerce') ){
	global $woocommerce;	
	
	ob_start();
	switch ($template) {
		case 'carousel';
			$query_args = array(
				'posts_per_page' 	=> $number_limit,
				'post_status' 	 	=> 'publish',
				'post_type' 	 	=> 'product',
				'order'          	=> 'DESC'
			);
			
			if(!empty($category)){
				$query_args['tax_query'][] =
				array(
					'taxonomy'			=> 'product_cat',
					'field'				=> 'slug',
					'terms'				=> $category,
					'operator'			=> 'IN'
				);
			}
			if( !empty($products) && $category !==''){
				$post_in = explode(',', $products);
				$query_args = array(
					'posts_per_page' 	=> $number_limit,
					'post_status' 	 	=> 'publish',
					'post_type' 	 	=> 'product',
					'post__in'			=> $post_in,
					'order'          	=> 'DESC',
				);
			}
			$loop = new WP_Query($query_args);
			?>
			<div id="sns_products<?php echo $uq ?>" class="<?php echo esc_attr($class . ' template-' .$template) ?>">
				<div class="sns_products_heading">
					<?php if($countdown !== ''):  wp_enqueue_script('countdown'); ?>
					<div class="sns-products-countdown">
						<i class="icon_clock_alt"></i>
						<div class="sns-p-cd"></div>
					</div>
					<?php endif; ?>
					<div class="sns-products-title">
						<h2 class="wpb_heading"><span><?php echo esc_html($title) ?></span></h2>
						<?php if( !empty($desc) && $template == 'countdown'):?>
						<div class="sns-products-desc"><i class="icon_comment_alt"></i> <?php echo esc_html($desc); ?></div>
						<?php endif; ?>
					</div>
					<?php if( $template == 'carousel' ):?>
					<div class="navslider"><span class="prev"><i class="arrow_carrot-left"></i></span><span class="next"><i class="arrow_carrot-right"></i></span></div>
					<?php endif; ?>
				</div>
				<div class="sns-products-content">
					<?php if( $template == 'countdown' ):?>
					<div class="navslider"><span class="prev"><i class="arrow_carrot-left"></i></span><span class="next"><i class="arrow_carrot-right"></i></span></div>
					<?php endif; ?>
					<?php 
					wc_get_template( 'vc/carousel.php', array('loop' => $loop, 'number_display' => 1, 'row' => 1, 'id' => 'sns_products'.$uq) );
					?>
				</div>
			</div>
			<?php
			wp_reset_postdata ();
			break;
		case 'grid':
			$loop = snsbiamuc_woo_query($list_orderby, $number_limit, $category);
			if( $loop->have_posts() ): ?>
				<div id="sns_products<?php echo $uq ?>" class="<?php echo esc_attr($class . ' template-' .$template) ?>">
					<?php
					$title = !empty($title) ? $title : 'Product list';
					?>
					<h2 class="sns_products_heading"><span><?php echo esc_html($title) ?></span></h2>
					<div class="desc"><?php echo esc_html($desc) ?></div>
					<div class="products-list row">
						<ul class="products product_list grid zoomOut">
							<?php 
							while ( $loop->have_posts() ) : $loop->the_post();
							    	wc_get_template( 'vc/item-grid.php', array());
							endwhile;
							?>
						</ul>
					</div>
				</div>
			<?php
			endif;
			wp_reset_postdata();
			break;
		default:
			break;
	}
	?>

	<?php
	$output = ob_get_clean();
}
echo $output;
