<?php
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );
if( class_exists('WooCommerce') ){
	global $woocommerce, $yith_woocompare;
	$uq = rand().time();
	ob_start();
	
	$posts_per_page = absint($number_limit) ? absint($number_limit) : 10;
	$query_args = array(
		'post_type'		=> 'product',
		'posts_per_page'=> absint($posts_per_page),
		'post_status'	=> 'publish',
		'order'			=> $order,
	);
	
	if($list_cat!=''){
		$query_args['product_cat']= $list_cat;
	}
	
	switch ($orderby) {
		case 'best_selling':
			$query_args['meta_key']='total_sales';
			$query_args['orderby']='meta_value_num';
			$query_args['ignore_sticky_posts']   = 1;
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			break;
		case 'featured_product':
			$query_args['ignore_sticky_posts']=1;
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = array(
				'key' => '_featured',
				'value' => 'yes'
			);
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			break;
		case 'top_rate':
			add_filter( 'posts_clauses',  array( $woocommerce->query, 'order_by_rating_post_clauses' ) );
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			break;
		case 'recent':
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			break;
		case 'on_sale':
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			$query_args['post__in'] = wc_get_product_ids_on_sale();
			break;
		case 'recent_review':
			if($post_per_page == -1) $_limit = 4;
			else $_limit = $post_per_page;
			global $wpdb;
			$query = $wpdb->prepare( "
				SELECT c.comment_post_ID
				FROM {$wpdb->prefix}posts p, {$wpdb->prefix}comments c
				WHERE p.ID = c.comment_post_ID AND c.comment_approved > %d
				AND p.post_type = %s AND p.post_status = %s
				AND p.comment_count > %d ORDER BY c.comment_date ASC" ,
				0, 'product', 'publish', 0 );
				$results = $wpdb->get_results($query, OBJECT);
				$_pids = array();
				foreach ($results as $re) {
				if(!in_array($re->comment_post_ID, $_pids))
					$_pids[] = $re->comment_post_ID;
					if(count($_pids) == $_limit)
						break;
				}
			$query_args['meta_query'] = array();
			$query_args['meta_query'][] = $woocommerce->query->stock_status_meta_query();
			$query_args['meta_query'][] = $woocommerce->query->visibility_meta_query();
			$query_args['post__in'] = $_pids;
			break;
	}
	
	$products = new WP_Query($query_args);
	if( $products->have_posts() ):
		?>
		<div id="sns-products-slider-<?php echo $uq; ?>" class="sns-products-slider pre-load">
			<?php if ( $badge_label != '' ): ?>
				<div class="badge-label"><?php echo esc_html($badge_label); ?></div>
				<?php if ( $badge_label != '' ): ?>
				<style scoped>
					#sns-products-slider-<?php echo $uq; ?> .badge-label{background-color: <?php echo esc_html($badge_color); ?>}
				</style>
				<?php endif; ?>
			<?php endif; ?>
			<div class="sns-content-sc">
				<div class="sns-products-slider-wrap">
					<div class="sns-products-slider-content">
						<ul class="clearfix">
							<?php $i = 0;
								while ($products->have_posts() ): $products->the_post(); $count_posts = $products->post_count; ?>
								 	<?php
								 		wc_get_template( 'vc/item-slider.php' );
							    	?>
							<?php endwhile; ?>
						</ul>
					</div>
				</div>
			</div>
		</div>
		<?php
	endif;
	$output .= ob_get_clean();
	wp_reset_postdata();
}
echo $output;
