<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive.
 *
 * Override this template by copying it to yourtheme/woocommerce/archive-product.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

	get_header( 'shop' ); ?>

	<?php
		/**
		 * woocommerce_before_main_content hook
		 *
		 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
		 * @hooked woocommerce_breadcrumb - 20
		 */
		remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
		remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20 );
		add_action( 'woocommerce_before_main_content', 'wc_print_notices', 10 );
		do_action( 'woocommerce_before_main_content' );
	?>
		<?php // Featured image shop page
		apply_filters('snsbiamuc_featured_image_shop_page', true);
		?>
		
		<?php 
		// add category image http://docs.woothemes.com/document/woocommerce-display-category-image-on-category-archive/
		?>
		<?php do_action( 'woocommerce_archive_description' ); ?>

		<?php if ( have_posts() ) : ?>
			<div class="toolbar toolbar-top">
				<div class="toolbar-top-left">
					<?php 
					if(is_active_sidebar('woo-sidebar-filter')):
					?>
					<div class="woo-sidebar-filter-toggle-wrapper">
						<div class="woo-sidebar-filter-toggle">
							<a href="#" class="filter-toggle"><i class="fa fa-sliders" aria-hidden="true"></i></a>
						</div>
						<!-- <div class="select-filters active">
							<span><?php //esc_html_e( 'Select filters', 'snsbiamuc' ); ?></span>
						</div> -->
						<div class="selected-filters active">
							<span data-select="<?php esc_html_e( 'Select filters', 'snsbiamuc' ); ?>" data-selected="<?php esc_html_e( 'Selected filters:', 'snsbiamuc' ); ?>"><?php esc_html_e( 'Select filters', 'snsbiamuc' ); ?></span>
							<div class="list-selected-filters">
							</div>
						</div>
					</div>
					<?php endif; ?>
				</div>
				<div class="toolbar-top-right">
					<?php
						/**
						 * woocommerce_before_shop_loop hook
						 *
						 * @hooked woocommerce_result_count - 20
						 * @hooked woocommerce_catalog_ordering - 30
						 */
						remove_action( 'woocommerce_before_shop_loop', 'wc_print_notices', 10 );
						remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );
						add_action( 'woocommerce_before_shop_loop', 'snsbiamuc_woo_modeview', 10 );
						do_action( 'woocommerce_before_shop_loop' );
					?>
				</div>
			</div>
			<?php 
			if(is_active_sidebar('woo-sidebar-filter')):
			?>
			<div class="woo-sidebar-filter">
				<div class="woo-sidebar-filter-wrap">
					<?php dynamic_sidebar('woo-sidebar-filter');?>
				</div>
			</div>
			<?php endif; ?>
			<?php woocommerce_product_loop_start(); ?>

				<?php woocommerce_product_subcategories(); ?>

				<?php while ( have_posts() ) : the_post(); ?>

					<?php wc_get_template_part( 'content', 'product' ); ?>

				<?php endwhile; // end of the loop. ?>

			<?php woocommerce_product_loop_end(); ?>
			<div class="toolbar toolbar-bottom">
			<?php
				/**
				 * woocommerce_after_shop_loop hook.
				 *
				 * @hooked woocommerce_result_count - 5
				 * @hooked woocommerce_pagination - 10
				 */
				add_action( 'woocommerce_after_shop_loop', 'woocommerce_result_count', 5 );
				do_action( 'woocommerce_after_shop_loop' );
			?>
			</div>
		<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>

			<?php wc_get_template( 'loop/no-products-found.php' ); ?>

		<?php endif; ?>

<?php //get_footer( 'shop' ); ?>
