<?php
/**
 * External product add to cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/add-to-cart/external.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

<div class="cart">
	<a href="<?php echo esc_url( $product_url ); ?>" rel="nofollow" class="single_add_to_cart_button externalaffiliate-product button alt"><?php echo esc_html( $button_text ); ?></a>
	<?php
        if( class_exists( 'YITH_WCWL' ) ) {
            echo do_shortcode( '[yith_wcwl_add_to_wishlist]' );
        }
    ?>
    <?php if( class_exists( 'YITH_Woocompare' ) ) { ?>
        <?php
        $action_add = 'yith-woocompare-add-product';
        $url_args = array(
            'action' => $action_add,
            'id' => get_the_ID()
        );
        ?>
        <a data-original-title="<?php echo esc_html_e('Add to compare', 'snsbiamuc'); ?>" data-toggle="tooltip" href="<?php echo esc_url( wp_nonce_url( add_query_arg( $url_args ), $action_add ) ); ?>" class="compare btn btn-primary-outline" data-product_id="<?php echo esc_attr( get_the_ID() ); ?>">
        <?php echo esc_html_e('Add to compare', 'snsbiamuc'); ?>
        </a>
    <?php } ?>
</div>

<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
