<?php
/**
 * Single Product Image
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.0.14
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $post, $woocommerce, $product;

?>
<div class="imgs-quick">
	<div class="images">
	<?php
		if ( has_post_thumbnail() ) {

			$image_title 	= esc_attr( get_the_title( get_post_thumbnail_id() ) );
			$image       	= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
				'title'	=> $image_title,
				'alt'	=> $image_title
				) );
			echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<span class="quickview-image" title="%s">%s</span>', $image_title, $image ), $post->ID );
		}
		$attachment_ids = $product->get_gallery_image_ids();
		if ( $attachment_ids ) :
			foreach ( $attachment_ids as $attachment_id ) {
				$image_title = esc_attr( get_the_title( $attachment_id ) );
				$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ) );
				
				echo apply_filters( 'woocommerce_single_product_image_html', sprintf( '<span class="quickview-image" title="%s">%s</span>', $image_title, $image ), $post->ID );
			}
		endif;
	?>
	</div>
	<div class="navslider" style="display:none">
		<span class="prev"><i class="arrow_carrot-left"></i></span>
		<span class="next"><i class="arrow_carrot-right"></i></span>
	</div>
</div>
