<?php
/**
 * Single Product tabs
 *
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Filter tabs and allow third parties to add their own
 *
 * Each tab is an array containing title, callback and priority.
 * @see woocommerce_default_product_tabs()
 */
$tabs = apply_filters( 'woocommerce_product_tabs', array() );
$i = 0;
if ( ! empty( $tabs ) ) : ?>
	
	<div id="sns_tab_products" class="product-collateral clearfix">

		<div class="panel-group" id="sns_tab_accordion" role="tablist" aria-multiselectable="true">
			<?php foreach ( $tabs as $key => $tab ) : $i++; ?>
				<div class="panel panel-default">
					<div class="panel-heading" role="tab" id="heading-<?php echo esc_attr( $key ); ?>">
				      <h4 class="panel-title">
				        <a role="button" data-toggle="collapse" data-parent="#sns_tab_accordion" href="#collapse-<?php echo esc_attr( $key ); ?>" aria-expanded="true" aria-controls="collapse-<?php echo esc_attr( $key ); ?>">
				         	<?php echo apply_filters( 'woocommerce_product_' . $key . '_tab_title', esc_html( $tab['title'] ), $key ); ?>
				        </a>
				      </h4>
				    </div>
				     <div id="collapse-<?php echo esc_attr( $key ); ?>" class="panel-collapse collapse <?php echo ($i == 1) ? 'in' : '';?>" role="tabpanel" aria-labelledby="heading-<?php echo esc_attr( $key ); ?>">
				      <div class="panel-body">
				        	<?php call_user_func( $tab['callback'], $key, $tab ) ?>
				      </div>
				    </div>
				</div>
			<?php endforeach; ?>
			<?php if ( is_active_sidebar( 'product-tab-sidebar' ) ) : ?>
				<li class="sns_prod_custom_tab font-2">
					<a href="#tab-sns_prod_custom_tab" data-toggle="tab"><?php echo esc_html__('Custom Tab', 'snsbiamuc'); ?></a>
				</li>

				<div class="panel panel-default sns_prod_custom_tab">
					<div class="panel-heading" role="tab" id="heading-sns_prod_custom_tab">
				      <h4 class="panel-title">
				        <a role="button" data-toggle="collapse" data-parent="#sns_tab_accordion" href="#collapse-sns_prod_custom_tab" aria-expanded="true" aria-controls="collapse-sns_prod_custom_tab">
				         	<?php echo esc_html__('Custom Tab', 'snsbiamuc'); ?>
				        </a>
				      </h4>
				    </div>
				     <div id="collapse-sns_prod_custom_tab" class="panel-collapse collapse" role="tabpanel" aria-labelledby="heading-sns_prod_custom_tab">
				      <div class="panel-body">
				        	<?php dynamic_sidebar( 'product-tab-sidebar' ); ?>
				      </div>
				    </div>
				</div>
			<?php endif; ?>
		</div>
	</div>

<?php endif; ?>
