<?php
/**
 * Single Product Up-Sells
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/up-sells.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

global $product, $woocommerce_loop;

$upsells = $product->get_upsell_ids();

if ( sizeof( $upsells ) == 0 ) {
	return;
}

$meta_query = WC()->query->get_meta_query();
if( empty($posts_per_page) ) $posts_per_page = -1; 

$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => $posts_per_page,
	'orderby'             => $orderby,
	'post__in'            => $upsells,
	'post__not_in'        => array( $product->get_id() ),
	'meta_query'          => $meta_query
);

$products = new WP_Query( $args );

$woocommerce_loop['columns'] = $columns;

if ( $products->have_posts() ) :
	?>
	<div class="upsells products pre-load">
		<div class="sns_products_heading">
			<h2><span class="font-2"><?php esc_html_e( 'Upsell products', 'snsbiamuc' ) ?></span></h2>
			<p class="desc"><?php  echo apply_filters( 'woocommerce_upsell_products_sub_title', esc_html__( 'Duis aute irure dolor in reprehenderit in voluptate velit esse cillum.', 'snsbiamuc' ) ); ?></p>
			<div class="navslider">
				<span class="prev"><i class="arrow_carrot-left"></i></span>
				<span class="next"><i class="arrow_carrot-right"></i></span>
			</div>
		</div>
		<div class="row">
		<?php woocommerce_product_loop_start(); ?>

			<?php while ( $products->have_posts() ) : $products->the_post(); ?>

				<?php wc_get_template_part( 'content', 'product' ); ?>

			<?php endwhile; // end of the loop. ?>

		<?php woocommerce_product_loop_end(); ?>
		</div>
		<script type="text/javascript">
			jQuery(document).ready(function(){
				jQuery('.upsells').removeClass('pre-load');
				var itemUpsellsdToShow = 5;
				if( jQuery('#sns-product-sidebar').length ){
					itemUpsellsdToShow = 4;
				}
				jQuery('.upsells ul').owlCarousel({
					items: itemUpsellsdToShow,
					responsive : {
					     0 : { items: 1 },
					    360 : { items: 2 },
					    480 : { items: 2 },
					    768 : { items: 3 },
					    1200 : { items: itemUpsellsdToShow -1 },
					    1281 : { items: itemUpsellsdToShow }
					},
		            dots: false,
		            // animateOut: 'flipInY',
				    //animateIn: 'pulse',
		            onInitialized: callback,
		            slideSpeed : 800
				});
				function callback(event) {
		   			if(this._items.length > this.options.items){
				        jQuery('.upsells .navslider').show();
				        jQuery('.upsells').addClass('has-nav');
				    }else{
				        jQuery('.upsells .navslider').hide();
				        jQuery('.upsells').removeClass('has-nav');
				    }
				}
				jQuery('.upsells .navslider .prev').on('click', function(e){
					e.preventDefault();
					jQuery('.upsells ul').trigger('prev.owl.carousel');
				});
				jQuery('.upsells .navslider .next').on('click', function(e){
					e.preventDefault();
					jQuery('.upsells ul').trigger('next.owl.carousel');
				});
			});
		</script>

	</div>

<?php endif;

wp_reset_postdata();
