<?php
/*
Plugin Name: SNS Posttype
Plugin URI: http://snstheme.com
Description: Define some postype for snstheme.com
Version: 1.0
Author URI: http://snstheme.com
License: GPL2+
*/

class SNS_Posttype{
	function __construct(){
		add_action('init', array($this,'sns_posttype_brand'));
		add_action('init', array($this,'sns_posttype_agency'));
		add_action('init', array($this,'sns_posttype_infobox'));
		add_action('init', array($this,'sns_posttype_testimonial'));
		add_action('init', array($this,'sns_posttype_faq'));
	}
	function sns_posttype_brand(){
		$labels = array(
			'name' => __( 'Brand', 'snstheme' ),
			'singular_name' => __( 'Brand', 'snstheme' ),
			'add_new' => __( 'Add New Brand', 'snstheme' ),
			'add_new_item' => __( 'Add New Brand', 'snstheme' ),
			'edit_item' => __( 'Edit Brand', 'snstheme' ),
			'new_item' => __( 'New Brand', 'snstheme' ),
			'view_item' => __( 'View Brand', 'snstheme' ),
			'search_items' => __( 'Search Brands', 'snstheme' ),
			'not_found' => __( 'No Brands found', 'snstheme' ),
			'not_found_in_trash' => __( 'No Brands found in Trash', 'snstheme' ),
			'parent_item_colon' => __( 'Parent Brand:', 'snstheme' ),
			'menu_name' => __( 'Our Brands', 'snstheme' ),
		);

		$args = array(
		    'labels' => $labels,
		    'hierarchical' => true,
		    'description' => 'List Brands',
		    'supports' => array( 'title', 'thumbnail' ),
		    'public' => false,
		    'show_ui' => true,
		    'show_in_menu' => true,
		    'menu_position' => 5,
		    'show_in_nav_menus' => true,
		    'publicly_queryable' => true,
		    'exclude_from_search' => false,
		    'has_archive' => true,
		    'query_var' => true,
		    'can_export' => true,
		    'rewrite' => true,
		    'capability_type' => 'post'
		);
		register_post_type( 'brand', $args );
	}
	function sns_posttype_agency(){
		$labels = array(
			'name' => __( 'Agency', 'snstheme' ),
			'singular_name' => __( 'Agency', 'snstheme' ),
			'add_new' => __( 'Add New Agency', 'snstheme' ),
			'add_new_item' => __( 'Add New Agency', 'snstheme' ),
			'edit_item' => __( 'Edit Agency', 'snstheme' ),
			'new_item' => __( 'New Agency', 'snstheme' ),
			'view_item' => __( 'View Agency', 'snstheme' ),
			'search_items' => __( 'Search Agency', 'snstheme' ),
			'not_found' => __( 'No Brands Agency', 'snstheme' ),
			'not_found_in_trash' => __( 'No Agency found in Trash', 'snstheme' ),
			'parent_item_colon' => __( 'Parent Agency:', 'snstheme' ),
			'menu_name' => __( 'Our Agency', 'snstheme' ),
		);

		$args = array(
		    'labels' => $labels,
		    'hierarchical' => true,
		    'description' => 'List Agency',
		    'supports' => array( 'title', 'thumbnail' ),
		    'public' => false,
		    'show_ui' => true,
		    'show_in_menu' => true,
		    'menu_position' => 5,
		    'show_in_nav_menus' => true,
		    'publicly_queryable' => true,
		    'exclude_from_search' => false,
		    'has_archive' => true,
		    'query_var' => true,
		    'can_export' => true,
		    'rewrite' => true,
		    'capability_type' => 'post'
		);
		register_post_type( 'agency', $args );
	}
	function sns_posttype_infobox(){
		$labels = array(
			'name' => __( 'Infobox', 'snstheme' ),
			'singular_name' => __( 'Infobox', 'snstheme' ),
			'add_new' => __( 'Add New Infobox', 'snstheme' ),
			'add_new_item' => __( 'Add New Infobox', 'snstheme' ),
			'edit_item' => __( 'Edit Infobox', 'snstheme' ),
			'new_item' => __( 'New Infobox', 'snstheme' ),
			'view_item' => __( 'View Infobox', 'snstheme' ),
			'search_items' => __( 'Search Infobox', 'snstheme' ),
			'not_found' => __( 'No Infobox found', 'snstheme' ),
			'not_found_in_trash' => __( 'No Infobox found in Trash', 'snstheme' ),
			'parent_item_colon' => __( 'Parent Infobox:', 'snstheme' ),
			'menu_name' => __( 'Infobox', 'snstheme' ),
		);

		$args = array(
		    'labels' => $labels,
		    'hierarchical' => true,
		    'description' => 'List Infobox',
		    'supports' => array( 'title', 'thumbnail' ),
		    'public' => false,
		    'show_ui' => true,
		    'show_in_menu' => true,
		    'menu_position' => 5,
		    'show_in_nav_menus' => true,
		    'publicly_queryable' => true,
		    'exclude_from_search' => false,
		    'has_archive' => true,
		    'query_var' => true,
		    'can_export' => true,
		    'rewrite' => true,
		    'capability_type' => 'post'
		);
		register_post_type( 'infobox', $args );
	}
	
	function sns_posttype_testimonial(){
		$labels = array(
			'name' => __( 'Testimonial', 'snstheme' ),
			'singular_name' => __( 'Testimonial', 'snstheme' ),
			'add_new' => __( 'Add New Testimonial', 'snstheme' ),
			'add_new_item' => __( 'Add New Testimonial', 'snstheme' ),
			'edit_item' => __( 'Edit Testimonial', 'snstheme' ),
			'new_item' => __( 'New Testimonial', 'snstheme' ),
			'view_item' => __( 'View Testimonial', 'snstheme' ),
			'search_items' => __( 'Search Testimonial', 'snstheme' ),
			'not_found' => __( 'No Testimonial found', 'snstheme' ),
			'not_found_in_trash' => __( 'No Testimonial found in Trash', 'snstheme' ),
			'parent_item_colon' => __( 'Parent Testimonial:', 'snstheme' ),
			'menu_name' => __( 'Testimonial', 'snstheme' ),
		);

		$args = array(
		    'labels' => $labels,
		    'hierarchical' => true,
		    'description' => 'List Testimonials',
		    'supports' => array( 'title', 'editor', 'thumbnail'),
		    'public' => false,
		    'show_ui' => true,
		    'show_in_menu' => true,
		    'menu_position' => 6,
		    'show_in_nav_menus' => true,
		    'publicly_queryable' => true,
		    'exclude_from_search' => false,
		    'has_archive' => true,
		    'query_var' => true,
		    'can_export' => true,
		    'rewrite' => true,
		    'capability_type' => 'post'
		);
		register_post_type( 'testimonial', $args );
	}  	
	
	function sns_posttype_faq(){
		$labels = array(
			'name' => __( 'FAQ', 'snstheme' ),
			'singular_name' => __( 'FAQ', 'snstheme' ),
			'add_new' => __( 'Add New FAQ', 'snstheme' ),
			'add_new_item' => __( 'Add New FAQ', 'snstheme' ),
			'edit_item' => __( 'Edit FAQ', 'snstheme' ),
			'new_item' => __( 'New FAQ', 'snstheme' ),
			'view_item' => __( 'View FAQ', 'snstheme' ),
			'search_items' => __( 'Search FAQ', 'snstheme' ),
			'not_found' => __( 'No FAQ found', 'snstheme' ),
			'not_found_in_trash' => __( 'No FAQ found in Trash', 'snstheme' ),
			'parent_item_colon' => __( 'Parent FAQ:', 'snstheme' ),
			'menu_name' => __( 'FAQ', 'snstheme' ),
		);

		$args = array(
		    'labels' => $labels,
		    'hierarchical' => true,
		    'description' => 'List FAQs',
		    'supports' => array( 'title', 'editor'),
		    'public' => false,
		    'show_ui' => true,
		    'show_in_menu' => true,
		    'menu_position' => 6,
		    'show_in_nav_menus' => true,
		    'publicly_queryable' => true,
		    'exclude_from_search' => false,
		    'has_archive' => true,
		    'query_var' => true,
		    'can_export' => true,
		    'rewrite' => true,
		    'capability_type' => 'post'
		);
		register_post_type( 'faq', $args );
	}  	
}
function snsposttype_load(){
	global $snsposttype;
	$snsposttype = new SNS_Posttype();
}
add_action( 'plugins_loaded', 'snsposttype_load' );
?>